import * as i0 from '@angular/core';
import { Injectable, Component, Input, ViewEncapsulation, ViewChild, EventEmitter, Output, NgModule } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import { Subject } from 'rxjs';
import { trigger, state, style, transition, animate } from '@angular/animations';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';

class AnglBstpUIService {
    constructor() { }
}
AnglBstpUIService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.1.4", ngImport: i0, type: AnglBstpUIService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
AnglBstpUIService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "12.1.4", ngImport: i0, type: AnglBstpUIService, providedIn: 'root' });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.1.4", ngImport: i0, type: AnglBstpUIService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: function () { return []; } });

class CardComponent {
    constructor() {
        this.clase = [];
    }
    ngOnInit() {
    }
}
CardComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.1.4", ngImport: i0, type: CardComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
CardComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.1.4", type: CardComponent, selector: "ngb-card", inputs: { clase: ["clss", "clase"] }, ngImport: i0, template: "<div [ngClass]=\"['card'].concat(clase)\" >\n    <ng-content ></ng-content>\n</div>\n", styles: [":host ::ng-deep .card-body{flex:1 1 auto;padding:1rem}.card{position:relative;display:flex;flex-direction:column;min-width:0;word-wrap:break-word;background-color:#fff;background-clip:border-box;border:1px solid rgba(0,0,0,.125);border-radius:.25rem}:host ::ng-deep .card>hr{margin-right:0;margin-left:0}:host ::ng-deep .card>.list-group{border-top:inherit;border-bottom:inherit}:host ::ng-deep .card>.list-group:first-child{border-top-width:0;border-top-left-radius:calc(.25rem - 1px);border-top-right-radius:calc(.25rem - 1px)}:host ::ng-deep .card>.list-group:last-child{border-bottom-width:0;border-bottom-right-radius:calc(.25rem - 1px);border-bottom-left-radius:calc(.25rem - 1px)}:host ::ng-deep .card>.card-header+.list-group,.card>.list-group+.card-footer{border-top:0}:host ::ng-deep .card-title{margin-bottom:.5rem}:host ::ng-deep .card-subtitle{margin-top:-.25rem;margin-bottom:0}:host ::ng-deep .card-text:last-child{margin-bottom:0}:host ::ng-deep .card-link+.card-link{margin-left:1rem}:host ::ng-deep .card-header{padding:.5rem 1rem;margin-bottom:0;background-color:#00000008;border-bottom:1px solid rgba(0,0,0,.125)}:host ::ng-deep .card-header:first-child{border-radius:calc(.25rem - 1px) calc(.25rem - 1px) 0 0}:host ::ng-deep .card-footer{padding:.5rem 1rem;background-color:#00000008;border-top:1px solid rgba(0,0,0,.125)}:host ::ng-deep .card-footer:last-child{border-radius:0 0 calc(.25rem - 1px) calc(.25rem - 1px)}:host ::ng-deep .card-header-tabs{margin-right:-.5rem;margin-bottom:-.5rem;margin-left:-.5rem;border-bottom:0}:host ::ng-deep .card-header-pills{margin-right:-.5rem;margin-left:-.5rem}:host ::ng-deep .card-img-overlay{position:absolute;top:0;right:0;bottom:0;left:0;padding:1rem;border-radius:calc(.25rem - 1px)}:host ::ng-deep .card-img,.card-img-bottom,.card-img-top{width:100%}:host ::ng-deep .card-img,.card-img-top{border-top-left-radius:calc(.25rem - 1px);border-top-right-radius:calc(.25rem - 1px)}:host ::ng-deep .card-img,.card-img-bottom{border-bottom-right-radius:calc(.25rem - 1px);border-bottom-left-radius:calc(.25rem - 1px)}:host ::ng-deep .card-group>.card{margin-bottom:.75rem}@media (min-width:576px){:host ::ng-deep .card-group{display:flex;flex-flow:row wrap}:host ::ng-deep .card-group>.card{flex:1 0 0%;margin-bottom:0}:host ::ng-deep .card-group>.card+.card{margin-left:0;border-left:0}:host ::ng-deep .card-group>.card:not(:last-child){border-top-right-radius:0;border-bottom-right-radius:0}:host ::ng-deep .card-group>.card:not(:last-child) .card-header,.card-group>.card:not(:last-child) .card-img-top{border-top-right-radius:0}:host ::ng-deep .card-group>.card:not(:last-child) .card-footer,.card-group>.card:not(:last-child) .card-img-bottom{border-bottom-right-radius:0}:host ::ng-deep .card-group>.card:not(:first-child){border-top-left-radius:0;border-bottom-left-radius:0}:host ::ng-deep .card-group>.card:not(:first-child) .card-header,.card-group>.card:not(:first-child) .card-img-top{border-top-left-radius:0}:host ::ng-deep .card-group>.card:not(:first-child) .card-footer,.card-group>.card:not(:first-child) .card-img-bottom{border-bottom-left-radius:0}}\n"], directives: [{ type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.1.4", ngImport: i0, type: CardComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ngb-card',
                    templateUrl: './card.component.html',
                    styleUrls: ['./card.component.css']
                }]
        }], ctorParameters: function () { return []; }, propDecorators: { clase: [{
                type: Input,
                args: ["clss"]
            }] } });

class NavbarComponent {
    constructor(renderer) {
        this.renderer = renderer;
        this.side = 'right';
        this.brnd = { text: "brand", clss: [], imag: "" };
        this.styl = {};
        this.clps = true;
    }
    ngOnInit() {
    }
    ngAfterViewInit() {
        const brndText = this.renderer.createText(this.brnd.text);
        if (this.brnd.imag != "") {
            /** width="30" height="24" */
            const brndImag = this.renderer.createElement('img');
            this.renderer.setAttribute(brndImag, 'src', this.brnd.imag);
            this.renderer.setAttribute(brndImag, 'width', '30');
            this.renderer.setAttribute(brndImag, 'height', '24');
            this.renderer.appendChild(this.brandCntr.nativeElement, brndImag);
        }
        this.renderer.appendChild(this.brandCntr.nativeElement, brndText);
    }
    tgle() {
        this.clps = !this.clps;
    }
}
NavbarComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.1.4", ngImport: i0, type: NavbarComponent, deps: [{ token: i0.Renderer2 }], target: i0.ɵɵFactoryTarget.Component });
NavbarComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.1.4", type: NavbarComponent, selector: "ngb-navbar", inputs: { side: "side", clss: "clss", brnd: "brnd", styl: ["prpt", "styl"] }, viewQueries: [{ propertyName: "brandCntr", first: true, predicate: ["brndCntr"], descendants: true }], ngImport: i0, template: "<nav [ngClass]=\"clss==undefined? ['navbar'] : ['navbar'].concat(clss)\" [ngStyle]=\"styl != undefined? styl: {}\">\n  <div class=\"container-fluid\">\n    <!-- conditional div -->\n <div *ngIf=\"side == 'left'\">\n  <button class=\"navbar-toggler\" id=\"leftbtn\" type=\"button\" (click)=\"tgle()\">\n    <span class=\"navbar-toggler-icon\"></span>\n  </button>\n </div>\n\n\n    <a [ngClass]=\"brnd.clss==undefined || brnd.clss.length == 0 ? ['navbar-brand'] : ['navbar-brand'].concat(brnd.clss)\" href=\"#\" #brndCntr></a>\n\n    <div *ngIf=\"side == 'right'\">\n      <button class=\"navbar-toggler\" id=\"rightbtn\" type=\"button\" (click)=\"tgle()\">\n        <span class=\"navbar-toggler-icon\"></span>\n      </button>\n     </div>\n\n    <div [ngClass]=\"{'collapse': clps, 'navbar-collapse':true}\">\n      <ng-content></ng-content>\n    </div>\n\n  </div>\n</nav>", styles: [".navbar{position:relative;display:flex;flex-wrap:wrap;align-items:center;justify-content:space-between;padding-top:.5rem;padding-bottom:.5rem}.navbar>.container,.navbar>.container-fluid,.navbar>.container-sm,.navbar>.container-md,.navbar>.container-lg,.navbar>.container-xl,.navbar>.container-xxl{display:flex;flex-wrap:inherit;align-items:center;justify-content:space-between}.navbar-brand{padding-top:.3125rem;padding-bottom:.3125rem;margin-right:1rem;font-size:1.25rem;text-decoration:none;white-space:nowrap}.navbar-nav{display:flex;flex-direction:column;padding-left:0;margin-bottom:0;list-style:none}.navbar-nav .nav-link{padding-right:0;padding-left:0;text-decoration:none}.navbar-nav .dropdown-menu{position:static}.navbar-text{padding-top:.5rem;padding-bottom:.5rem}.navbar-collapse{flex-basis:100%;flex-grow:1;align-items:center}.navbar-toggler{padding:.25rem .75rem;font-size:1.25rem;line-height:1;background-color:transparent;border:1px solid transparent;border-radius:.25rem;transition:box-shadow .15s ease-in-out}@media (prefers-reduced-motion: reduce){.navbar-toggler{transition:none}}.navbar-toggler:hover{text-decoration:none}.navbar-toggler:focus{text-decoration:none;outline:0;box-shadow:0 0 0 .25rem}.navbar-toggler-icon{display:inline-block;width:1.5em;height:1.5em;vertical-align:middle;background-repeat:no-repeat;background-position:center;background-size:100%}.navbar-nav-scroll{max-height:75vh;max-height:var(--bs-scroll-height, 75vh);overflow-y:auto}@media (min-width: 576px){.navbar-expand-sm{flex-wrap:nowrap;justify-content:flex-start}.navbar-expand-sm .navbar-nav{flex-direction:row}.navbar-expand-sm .navbar-nav .dropdown-menu{position:absolute}.navbar-expand-sm .navbar-nav .nav-link{padding-right:.5rem;padding-left:.5rem}.navbar-expand-sm .navbar-nav-scroll{overflow:visible}.navbar-expand-sm .navbar-collapse{display:flex!important;flex-basis:auto}.navbar-expand-sm .navbar-toggler{display:none}.navbar-expand-sm .offcanvas-header{display:none}.navbar-expand-sm .offcanvas{position:inherit;bottom:0;z-index:1000;flex-grow:1;visibility:visible!important;background-color:transparent;border-right:0;border-left:0;transition:none;transform:none}.navbar-expand-sm .offcanvas-top,.navbar-expand-sm .offcanvas-bottom{height:auto;border-top:0;border-bottom:0}.navbar-expand-sm .offcanvas-body{display:flex;flex-grow:0;padding:0;overflow-y:visible}}@media (min-width: 768px){.navbar-expand-md{flex-wrap:nowrap;justify-content:flex-start}.navbar-expand-md .navbar-nav{flex-direction:row}.navbar-expand-md .navbar-nav .dropdown-menu{position:absolute}.navbar-expand-md .navbar-nav .nav-link{padding-right:.5rem;padding-left:.5rem}.navbar-expand-md .navbar-nav-scroll{overflow:visible}.navbar-expand-md .navbar-collapse{display:flex!important;flex-basis:auto}.navbar-expand-md .navbar-toggler{display:none}.navbar-expand-md .offcanvas-header{display:none}.navbar-expand-md .offcanvas{position:inherit;bottom:0;z-index:1000;flex-grow:1;visibility:visible!important;background-color:transparent;border-right:0;border-left:0;transition:none;transform:none}.navbar-expand-md .offcanvas-top,.navbar-expand-md .offcanvas-bottom{height:auto;border-top:0;border-bottom:0}.navbar-expand-md .offcanvas-body{display:flex;flex-grow:0;padding:0;overflow-y:visible}}@media (min-width: 992px){.navbar-expand-lg{flex-wrap:nowrap;justify-content:flex-start}.navbar-expand-lg .navbar-nav{flex-direction:row}.navbar-expand-lg .navbar-nav .dropdown-menu{position:absolute}.navbar-expand-lg .navbar-nav .nav-link{padding-right:.5rem;padding-left:.5rem}.navbar-expand-lg .navbar-nav-scroll{overflow:visible}.navbar-expand-lg .navbar-collapse{display:flex!important;flex-basis:auto}.navbar-expand-lg .navbar-toggler{display:none}.navbar-expand-lg .offcanvas-header{display:none}.navbar-expand-lg .offcanvas{position:inherit;bottom:0;z-index:1000;flex-grow:1;visibility:visible!important;background-color:transparent;border-right:0;border-left:0;transition:none;transform:none}.navbar-expand-lg .offcanvas-top,.navbar-expand-lg .offcanvas-bottom{height:auto;border-top:0;border-bottom:0}.navbar-expand-lg .offcanvas-body{display:flex;flex-grow:0;padding:0;overflow-y:visible}}@media (min-width: 1200px){.navbar-expand-xl{flex-wrap:nowrap;justify-content:flex-start}.navbar-expand-xl .navbar-nav{flex-direction:row}.navbar-expand-xl .navbar-nav .dropdown-menu{position:absolute}.navbar-expand-xl .navbar-nav .nav-link{padding-right:.5rem;padding-left:.5rem}.navbar-expand-xl .navbar-nav-scroll{overflow:visible}.navbar-expand-xl .navbar-collapse{display:flex!important;flex-basis:auto}.navbar-expand-xl .navbar-toggler{display:none}.navbar-expand-xl .offcanvas-header{display:none}.navbar-expand-xl .offcanvas{position:inherit;bottom:0;z-index:1000;flex-grow:1;visibility:visible!important;background-color:transparent;border-right:0;border-left:0;transition:none;transform:none}.navbar-expand-xl .offcanvas-top,.navbar-expand-xl .offcanvas-bottom{height:auto;border-top:0;border-bottom:0}.navbar-expand-xl .offcanvas-body{display:flex;flex-grow:0;padding:0;overflow-y:visible}}@media (min-width: 1400px){.navbar-expand-xxl{flex-wrap:nowrap;justify-content:flex-start}.navbar-expand-xxl .navbar-nav{flex-direction:row}.navbar-expand-xxl .navbar-nav .dropdown-menu{position:absolute}.navbar-expand-xxl .navbar-nav .nav-link{padding-right:.5rem;padding-left:.5rem}.navbar-expand-xxl .navbar-nav-scroll{overflow:visible}.navbar-expand-xxl .navbar-collapse{display:flex!important;flex-basis:auto}.navbar-expand-xxl .navbar-toggler{display:none}.navbar-expand-xxl .offcanvas-header{display:none}.navbar-expand-xxl .offcanvas{position:inherit;bottom:0;z-index:1000;flex-grow:1;visibility:visible!important;background-color:transparent;border-right:0;border-left:0;transition:none;transform:none}.navbar-expand-xxl .offcanvas-top,.navbar-expand-xxl .offcanvas-bottom{height:auto;border-top:0;border-bottom:0}.navbar-expand-xxl .offcanvas-body{display:flex;flex-grow:0;padding:0;overflow-y:visible}}.navbar-expand{flex-wrap:nowrap;justify-content:flex-start}.navbar-expand .navbar-nav{flex-direction:row}.navbar-expand .navbar-nav .dropdown-menu{position:absolute}.navbar-expand .navbar-nav .nav-link{padding-right:.5rem;padding-left:.5rem}.navbar-expand .navbar-nav-scroll{overflow:visible}.navbar-expand .navbar-collapse{display:flex!important;flex-basis:auto}.navbar-expand .navbar-toggler{display:none}.navbar-expand .offcanvas-header{display:none}.navbar-expand .offcanvas{position:inherit;bottom:0;z-index:1000;flex-grow:1;visibility:visible!important;background-color:transparent;border-right:0;border-left:0;transition:none;transform:none}.navbar-expand .offcanvas-top,.navbar-expand .offcanvas-bottom{height:auto;border-top:0;border-bottom:0}.navbar-expand .offcanvas-body{display:flex;flex-grow:0;padding:0;overflow-y:visible}.navbar-light .navbar-brand{color:#000000e6}.navbar-light .navbar-brand:hover,.navbar-light .navbar-brand:focus{color:#000000e6}.navbar-light .navbar-nav .nav-link{color:#0000008c}.navbar-light .navbar-nav .nav-link:hover,.navbar-light .navbar-nav .nav-link:focus{color:#000000b3}.navbar-light .navbar-nav .nav-link.disabled{color:#0000004d}.navbar-light .navbar-nav .show>.nav-link,.navbar-light .navbar-nav .nav-link.active{color:#000000e6}.navbar-light .navbar-toggler{color:#0000008c;border-color:#0000001a}.navbar-light .navbar-toggler-icon{background-image:url(\"data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%280, 0, 0, 0.55%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e\")}.navbar-light .navbar-text{color:#0000008c}.navbar-light .navbar-text a,.navbar-light .navbar-text a:hover,.navbar-light .navbar-text a:focus{color:#000000e6}.navbar-dark .navbar-brand{color:#fff}.navbar-dark .navbar-brand:hover,.navbar-dark .navbar-brand:focus{color:#fff}.navbar-dark .navbar-nav .nav-link{color:#ffffff8c}.navbar-dark .navbar-nav .nav-link:hover,.navbar-dark .navbar-nav .nav-link:focus{color:#ffffffbf}.navbar-dark .navbar-nav .nav-link.disabled{color:#ffffff40}.navbar-dark .navbar-nav .show>.nav-link,.navbar-dark .navbar-nav .nav-link.active{color:#fff}.navbar-dark .navbar-toggler{color:#ffffff8c;border-color:#ffffff1a}.navbar-dark .navbar-toggler-icon{background-image:url(\"data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255, 255, 255, 0.55%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e\")}.navbar-dark .navbar-text{color:#ffffff8c}.navbar-dark .navbar-text a,.navbar-dark .navbar-text a:hover,.navbar-dark .navbar-text a:focus{color:#fff}.collapse:not(.show){display:none}.collapsing{height:0;overflow:hidden;transition:height .35s ease}@media (prefers-reduced-motion: reduce){.collapsing{transition:none}}.collapsing.collapse-horizontal{width:0;height:auto;transition:width .35s ease}@media (prefers-reduced-motion: reduce){.collapsing.collapse-horizontal{transition:none}}\n"], directives: [{ type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { type: i1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }], encapsulation: i0.ViewEncapsulation.None });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.1.4", ngImport: i0, type: NavbarComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ngb-navbar',
                    templateUrl: './navbar.component.html',
                    styleUrls: ['./navbar.component.css'],
                    encapsulation: ViewEncapsulation.None
                }]
        }], ctorParameters: function () { return [{ type: i0.Renderer2 }]; }, propDecorators: { side: [{
                type: Input,
                args: ['side']
            }], clss: [{
                type: Input,
                args: ['clss']
            }], brnd: [{
                type: Input,
                args: ['brnd']
            }], styl: [{
                type: Input,
                args: ['prpt']
            }], brandCntr: [{
                type: ViewChild,
                args: ['brndCntr']
            }] } });

class NavbarPageComponent {
    constructor() { }
    ngOnInit() {
    }
}
NavbarPageComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.1.4", ngImport: i0, type: NavbarPageComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
NavbarPageComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.1.4", type: NavbarPageComponent, selector: "ngb-navbar-page", ngImport: i0, template: "<!--\nDocumentation and examples for Bootstrap\u2019s powerful, responsive navigation header, the navbar. \nIncludes support for branding, navigation, and more, including support for our collapse plugin.\n-->\n<div class=\"row text-left\">\n    <h2>Navbar</h2>\n    <hr>\n</div>\n\n<!-- navbar brand e image -->\n<div class=\"row\">\n    <ngb-card>\n        <div class=\"card-body\">\n            <h5 class=\"card-title\"> Brand e Image</h5>\n            <div class=\"row g-2\">\n                <div class=\"col\">\n\n                    <ngb-navbar [side]=\"'right'\" [clss]=\"['navbar-expand-lg', 'navbar-light', 'bg-light']\" [brnd]=\"{text: 'Navbar', clss:['h1', 'mb-0'], imag: 'https://simpleicons.org/icons/bootstrap.svg'}\">\n                        <ul class=\"navbar-nav me-auto mb-2 mb-lg-0\">\n                            <li class=\"nav-item\">\n                              <a class=\"nav-link active\" aria-current=\"page\" href=\"#\">Home</a>\n                            </li>\n                            <li class=\"nav-item\">\n                              <a class=\"nav-link\" href=\"#\">Link</a>\n                            </li>\n                            <li class=\"nav-item\">\n                              <a class=\"nav-link disabled\">Disabled</a>\n                            </li>\n                          </ul>\n                          <form class=\"d-flex\">\n                            <input class=\"form-control me-2\" type=\"search\" placeholder=\"Search\" aria-label=\"Search\">\n                            <button class=\"btn btn-outline-success\" type=\"submit\">Search</button>\n                          </form>\n                    </ngb-navbar>\n\n                </div>\n            </div>\n        </div>\n        <div class=\"card-footer\">\n            <code>\n              &lt;ngb-navbar <span class=\"ngb-dcmt-drtv\">\n                <br>[side]</span>=\"'right'\" <span class=\"ngb-dcmt-drtv\">\n                <br>[clss]</span>=\"['navbar-expand-lg', 'navbar-light', 'bg-light']\" <span class=\"ngb-dcmt-drtv\">\n                <br>[brnd]</span>=\"&lcub;text: 'Navbar', clss:['h1', 'mb-0'], imag: 'https://simpleicons.org/icons/bootstrap.svg'&rcub;\"&gt;<br>\n              &lt;ul <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"navbar-nav me-auto mb-2 mb-lg-0\"</span>&gt;<br>\n              &lt;li <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"nav-item\"</span>&gt;<br>\n              &lt;a <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"nav-link active\"</span> aria-current=<span class=\"ngb-dcmt-drtv-vlue\">\"page\"</span> <span class=\"ngb-dcmt-drtv\">href</span>=\"#\"&gt;<span class=\"ngb-dcmt-ttle\">Home</span>&lt;/a&gt;<br>\n              &lt;/li&gt;<br>\n              &lt;li <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"nav-item\"</span>&gt;<br>\n              &lt;a <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"nav-link\"</span> <span class=\"ngb-dcmt-drtv\">href</span>=\"#\"&gt;<span class=\"ngb-dcmt-ttle\">Link</span>&lt;/a&gt;<br>\n              &lt;/li&gt;<br>\n              &lt;li <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"nav-item\"</span>&gt;<br>\n              &lt;a <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"nav-link disabled\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Disabled</span>&lt;/a&gt;<br>\n              &lt;/li&gt;<br>\n              &lt;/ul&gt;<br>\n              &lt;form <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"d-flex\"</span>&gt;<br>\n              &lt;input <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"form-control me-2\"</span> <span class=\"ngb-dcmt-drtv\">type</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"search\"</span> <span class=\"ngb-dcmt-drtv\">placeholder</span>=\"<span class=\"ngb-dcmt-ttle\">Search</span>\" aria-label=\"<span class=\"ngb-dcmt-ttle\">Search</span>\"&gt;<br>\n              &lt;button <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"btn btn-outline-success\"</span> <span class=\"ngb-dcmt-drtv\">type</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"submit\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Search</span>&lt;/button&gt;<br>\n              &lt;/form&gt;<br>\n              &lt;/ngb-navbar&gt;\n            <br></code>\n\n        </div>\n    </ngb-card>\n</div>\n<!-- #end navbar brand e image-->\n<br>\n\n<!-- navbar color -->\n<div class=\"row\">\n  <ngb-card>\n      <div class=\"card-body\">\n          <h5 class=\"card-title\"> Navbar Color</h5>\n          <div class=\"row g-2\">\n              <div class=\"col\">\n\n                  <ngb-navbar [side]=\"'right'\" [clss]=\"['navbar-expand-lg', 'navbar-dark', 'bg-dark']\" [brnd]=\"{text: 'Navbar', clss:[], imag: ''}\">\n                      <ul class=\"navbar-nav me-auto mb-2 mb-lg-0\">\n                          <li class=\"nav-item\">\n                            <a class=\"nav-link active\" aria-current=\"page\" href=\"#\">Home</a>\n                          </li>\n                          <li class=\"nav-item\">\n                            <a class=\"nav-link\" href=\"#\">Link</a>\n                          </li>\n                          <li class=\"nav-item\">\n                            <a class=\"nav-link disabled\">Disabled</a>\n                          </li>\n                        </ul>\n                        <form class=\"d-flex\">\n                          <input class=\"form-control me-2\" type=\"search\" placeholder=\"Search\" aria-label=\"Search\">\n                          <button class=\"btn btn-outline-success\" type=\"submit\">Search</button>\n                        </form>\n                  </ngb-navbar>\n                  <ngb-navbar [side]=\"'right'\" [clss]=\"['navbar-expand-lg', 'navbar-dark', 'bg-primary', 'mt-2']\" [brnd]=\"{text: 'Navbar', clss:[], imag: ''}\">\n                    <ul class=\"navbar-nav me-auto mb-2 mb-lg-0\">\n                        <li class=\"nav-item\">\n                          <a class=\"nav-link active\" aria-current=\"page\" href=\"#\">Home</a>\n                        </li>\n                        <li class=\"nav-item\">\n                          <a class=\"nav-link\" href=\"#\">Link</a>\n                        </li>\n                        <li class=\"nav-item\">\n                          <a class=\"nav-link disabled\">Disabled</a>\n                        </li>\n                      </ul>\n                      <form class=\"d-flex\">\n                        <input class=\"form-control me-2\" type=\"search\" placeholder=\"Search\" aria-label=\"Search\">\n                        <button class=\"btn btn-outline-success\" type=\"submit\">Search</button>\n                      </form>\n                </ngb-navbar>\n                <ngb-navbar \n                [side]=\"'right'\" \n                [clss]=\"['navbar-expand-lg', 'navbar-light', 'mt-2']\" \n                [brnd]=\"{text: 'Navbar', clss:[], imag: ''}\"\n                [prpt]=\"{'background-color': '#e3f2fd'}\"\n                >\n                  <ul class=\"navbar-nav me-auto mb-2 mb-lg-0\">\n                      <li class=\"nav-item\">\n                        <a class=\"nav-link active\" aria-current=\"page\" href=\"#\">Home</a>\n                      </li>\n                      <li class=\"nav-item\">\n                        <a class=\"nav-link\" href=\"#\">Link</a>\n                      </li>\n                      <li class=\"nav-item\">\n                        <a class=\"nav-link disabled\">Disabled</a>\n                      </li>\n                    </ul>\n                    <form class=\"d-flex\">\n                      <input class=\"form-control me-2\" type=\"search\" placeholder=\"Search\" aria-label=\"Search\">\n                      <button class=\"btn btn-outline-success\" type=\"submit\">Search</button>\n                    </form>\n              </ngb-navbar>\n\n              </div>\n          </div>\n      </div>\n      <div class=\"card-footer\">\n          <code>\n            &lt;ngb-navbar <span class=\"ngb-dcmt-drtv\">\n              <br>[side]</span>=\"'right'\" <span class=\"ngb-dcmt-drtv\">\n              <br>[clss]</span>=\"['navbar-expand-lg','navbar-dark','bg-dark']\" <span class=\"ngb-dcmt-drtv\">\n              <br>[brnd]</span>=\"&lcub;text: 'Navbar', clss:[], imag: ''&rcub;\"&gt;<span class=\"ngb-dcmt-ttle\">\n              <br>...</span>\n              <br>&lt;/ngb-navbar&gt;\n          <br><br></code>\n<code>\n  &lt;ngb-navbar <span class=\"ngb-dcmt-drtv\">\n    <br>[side]</span>=\"'right'\" <span class=\"ngb-dcmt-drtv\">\n      <br>[clss]</span>=\"['navbar-expand-lg', 'navbar-dark', 'bg-primary', 'mt-2']\" <span class=\"ngb-dcmt-drtv\">\n        <br>[brnd]</span>=\"&lcub;text: 'Navbar', clss:[], imag: ''&rcub;\"&gt;<span class=\"ngb-dcmt-ttle\">\n          <br>...</span>\n          <br>&lt;/ngb-navbar&gt;\n  <br></code><br>\n  <code>\n    &lt;ngb-navbar <span class=\"ngb-dcmt-drtv\">\n      <br>[side]</span>=\"'right'\" <span class=\"ngb-dcmt-drtv\">\n        <br>[clss]</span>=\"['navbar-expand-lg', 'navbar-light', 'mt-2']\" <span class=\"ngb-dcmt-drtv\">\n          <br>[brnd]</span>=\"&lcub;text: 'Navbar', clss:[], imag: ''&rcub;\"<span class=\"ngb-dcmt-drtv\">\n            <br>[prpt]</span>=\"&lcub;'background-color': '#e3f2fd'&rcub;\"&gt;<span class=\"ngb-dcmt-ttle\">\n              <br>...\n            <br></span>&lt;/ngb-navbar&gt;\n    <br>\n  </code>\n      </div>\n  </ngb-card>\n</div>\n<!-- #end navbar color-->\n<br>\n\n<!-- navbar placement -->\n<div class=\"row\">\n  <ngb-card>\n      <div class=\"card-body\">\n          <h5 class=\"card-title\"> Navbar Position</h5>\n          <div class=\"row g-2\">\n              <div class=\"col\" style=\"padding: 1.5rem; border: 1px solid gray; position: relative; height: 8rem;\">\n\n                  <ngb-navbar [side]=\"'right'\" \n                  [clss]=\"['navbar-expand-lg', 'navbar-light', 'bg-light']\" \n                  [brnd]=\"{text: 'Navbar', clss:[], imag: ''}\"\n                   style=\"position: absolute; top: 0px; left: 0px; right: 0px;\">\n                      <ul class=\"navbar-nav me-auto mb-2 mb-lg-0\">\n                          <li class=\"nav-item\">\n                            <a class=\"nav-link active\" aria-current=\"page\" href=\"#\">Home</a>\n                          </li>\n                          <li class=\"nav-item\">\n                            <a class=\"nav-link\" href=\"#\">Link</a>\n                          </li>\n                          <li class=\"nav-item\">\n                            <a class=\"nav-link disabled\">Disabled</a>\n                          </li>\n                        </ul>\n                        <form class=\"d-flex\">\n                          <input class=\"form-control me-2\" type=\"search\" placeholder=\"Search\" aria-label=\"Search\">\n                          <button class=\"btn btn-outline-success\" type=\"submit\">Search</button>\n                        </form>\n                  </ngb-navbar>\n\n              </div>\n              \n          </div>\n          <div class=\"row g-2 mt-1\">\n            <div class=\"col\" style=\"padding: 1.5rem; border: 1px solid gray; position: relative; height: 8rem;\">\n\n                <ngb-navbar \n                [side]=\"'right'\" \n                [clss]=\"['navbar-expand-lg', 'navbar-light', 'bg-light']\" \n                [brnd]=\"{text: 'Navbar', clss:[], imag: ''}\"\n                 style=\"position: absolute; bottom: 0px; left: 0px; right: 0px;\">\n                    <ul class=\"navbar-nav me-auto mb-2 mb-lg-0\">\n                        <li class=\"nav-item\">\n                          <a class=\"nav-link active\" aria-current=\"page\" href=\"#\">Home</a>\n                        </li>\n                        <li class=\"nav-item\">\n                          <a class=\"nav-link\" href=\"#\">Link</a>\n                        </li>\n                        <li class=\"nav-item\">\n                          <a class=\"nav-link disabled\">Disabled</a>\n                        </li>\n                      </ul>\n                      <form class=\"d-flex\">\n                        <input class=\"form-control me-2\" type=\"search\" placeholder=\"Search\" aria-label=\"Search\">\n                        <button class=\"btn btn-outline-success\" type=\"submit\">Search</button>\n                      </form>\n                </ngb-navbar>\n\n            </div>\n            \n        </div>\n      </div>\n      <div class=\"card-footer\">\n          <code>\n            &lt;ngb-navbar <span class=\"ngb-dcmt-drtv\">\n              <br>[side]</span>=\"'right'\" <span class=\"ngb-dcmt-drtv\">\n              <br>[clss]</span>=\"['navbar-expand-lg','navbar-light','bg-light', 'fixed-top']\" <span class=\"ngb-dcmt-drtv\">\n              <br>[brnd]</span>=\"&lcub;text: 'Navbar', clss:[], imag: ''&rcub;\"&gt;<span class=\"ngb-dcmt-ttle\">\n              <br>...</span>\n              <br>&lt;/ngb-navbar&gt;\n          <br><br></code>\n          <code>\n            &lt;ngb-navbar <span class=\"ngb-dcmt-drtv\">\n              <br>[side]</span>=\"'right'\" <span class=\"ngb-dcmt-drtv\">\n              <br>[clss]</span>=\"['navbar-expand-lg','navbar-light,'bg-light', 'fixed-bottom']\" <span class=\"ngb-dcmt-drtv\">\n              <br>[brnd]</span>=\"&lcub;text: 'Navbar', clss:[], imag: ''&rcub;\"&gt;<span class=\"ngb-dcmt-ttle\">\n              <br>...</span>\n              <br>&lt;/ngb-navbar&gt;\n          <br><br></code>\n\n      </div>\n  </ngb-card>\n</div>", styles: [""], components: [{ type: CardComponent, selector: "ngb-card", inputs: ["clss"] }, { type: NavbarComponent, selector: "ngb-navbar", inputs: ["side", "clss", "brnd", "prpt"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.1.4", ngImport: i0, type: NavbarPageComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ngb-navbar-page',
                    templateUrl: './navbar.page.html',
                    styles: ['']
                }]
        }], ctorParameters: function () { return []; } });

class TabService {
    constructor() {
        this.tabSources = new Subject();
    }
    _getActv() {
        return this.tabSources.asObservable();
    }
    actv(value) {
        this.tabSources.next(value);
    }
}
TabService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.1.4", ngImport: i0, type: TabService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
TabService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "12.1.4", ngImport: i0, type: TabService, providedIn: 'root' });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.1.4", ngImport: i0, type: TabService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }] });

class TabComponent {
    constructor(tabsrvc) {
        this.tabsrvc = tabsrvc;
        this.evnt = new EventEmitter();
    }
    ngOnInit() {
    }
    ngAfterContentInit() {
        this.links.forEach((item) => {
            if (item.actv) {
                this.tabsrvc.actv(item);
            }
        });
    }
    chng(id) {
        this.links.forEach((value) => {
            if (id == value.id) {
                value.actv = true;
                this.tabsrvc.actv(value);
                this.evnt.emit(value);
            }
            else {
                value.actv = false;
            }
        });
    }
}
TabComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.1.4", ngImport: i0, type: TabComponent, deps: [{ token: TabService }], target: i0.ɵɵFactoryTarget.Component });
TabComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.1.4", type: TabComponent, selector: "ngb-tab", inputs: { links: ["lnks", "links"], clss: "clss" }, outputs: { evnt: "evnt" }, ngImport: i0, template: "<ul [ngClass]=\"clss!=undefined ? ['nav'].concat(clss) : ['nav']\">\n  <li class=\"nav-item\" *ngFor=\"let link of links; index as indx\">\n    <button [ngClass]=\"{'nav-link':true, 'active': link.actv, 'disabled': link.dsbl}\" \n    (click)=\"chng(link.id)\" *ngIf=\"clss.indexOf('nav-tabs') > -1 || clss.indexOf('nav-pills') > -1; else elseBlock\">{{ link.nmbr }}</button>\n    <ng-template #elseBlock>\n      <a href=\"{{ link.href }}\" [ngClass]=\"{'nav-link':true, 'active': link.actv, 'disabled': link.dsbl}\" (click)=\"chng(link.id)\">{{ link.nmbr }}</a>\n    </ng-template>\n  </li>\n  \n</ul>\n<div class=\"tab-content\">\n  <ng-content></ng-content>\n</div>\n", styles: [".flex-column .nav-item .nav-link{width:100%}.nav{display:flex;flex-wrap:wrap;padding-left:0;margin-bottom:0;list-style:none}.nav-link{display:block;padding:.5rem 1rem;color:#0d6efd;text-decoration:none;transition:color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out}@media (prefers-reduced-motion:reduce){.nav-link{transition:none}}.nav-link:focus,.nav-link:hover{color:#0a58ca}.nav-link.disabled{color:#6c757d;pointer-events:none;cursor:default}.nav-tabs{border-bottom:1px solid #dee2e6}.nav-tabs .nav-link{margin-bottom:-1px;background:0 0;border:1px solid transparent;border-top-left-radius:.25rem;border-top-right-radius:.25rem}.nav-tabs .nav-link:focus,.nav-tabs .nav-link:hover{border-color:#e9ecef #e9ecef #dee2e6;isolation:isolate}.nav-tabs .nav-link.disabled{color:#6c757d;background-color:transparent;border-color:transparent}.nav-tabs .nav-item.show .nav-link,.nav-tabs .nav-link.active{color:#495057;background-color:#fff;border-color:#dee2e6 #dee2e6 #fff}.nav-tabs .dropdown-menu{margin-top:-1px;border-top-left-radius:0;border-top-right-radius:0}.nav-pills .nav-link{background:0 0;border:0;border-radius:.25rem}.nav-pills .nav-link.active,.nav-pills .show>.nav-link{color:#fff;background-color:#0d6efd}.nav-fill .nav-item,.nav-fill>.nav-link{flex:1 1 auto;text-align:center}.nav-justified .nav-item,.nav-justified>.nav-link{flex-basis:0;flex-grow:1;text-align:center}.nav-fill .nav-item .nav-link,.nav-justified .nav-item .nav-link{width:100%}.tab-content>.tab-pane{display:none}.tab-content>.active{display:block}\n"], directives: [{ type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.1.4", ngImport: i0, type: TabComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ngb-tab',
                    templateUrl: './tab.component.html',
                    styleUrls: ['./tab.component.css']
                }]
        }], ctorParameters: function () { return [{ type: TabService }]; }, propDecorators: { links: [{
                type: Input,
                args: ['lnks']
            }], clss: [{
                type: Input,
                args: ['clss']
            }], evnt: [{
                type: Output
            }] } });

class TabPanelComponent {
    constructor(tabsrvc) {
        this.tabsrvc = tabsrvc;
        this.dspl = false;
    }
    ngOnInit() {
        this.sbtn = this.tabsrvc._getActv().subscribe((tab) => {
            this.tabRcbe = tab;
            if (tab.chnl == this.links.chnl)
                this.dspl = tab.id == this.links.id;
        });
    }
    ngOnDestroy() {
        if (this.sbtn) {
            this.sbtn.unsubscribe();
        }
    }
}
TabPanelComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.1.4", ngImport: i0, type: TabPanelComponent, deps: [{ token: TabService }], target: i0.ɵɵFactoryTarget.Component });
TabPanelComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.1.4", type: TabPanelComponent, selector: "ngb-tab-panel", inputs: { links: ["init", "links"] }, ngImport: i0, template: "<div [ngClass]=\"{'tab-pane': true, 'show': dspl, 'hidden': !dspl}\"><ng-content></ng-content></div>\n", styles: [".show{display:block}.hidden{display:none}\n"], directives: [{ type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.1.4", ngImport: i0, type: TabPanelComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ngb-tab-panel',
                    templateUrl: './tab-panel.component.html',
                    styleUrls: ['./tab-panel.component.css']
                }]
        }], ctorParameters: function () { return [{ type: TabService }]; }, propDecorators: { links: [{
                type: Input,
                args: ['init']
            }] } });

class TabPageComponent {
    constructor() {
        this.base = [
            { id: 1, nmbr: "Active", actv: true, dsbl: false, chnl: 1, href: "route" },
            { id: 2, nmbr: "Link", actv: false, dsbl: false, chnl: 1, href: "" },
            { id: 3, nmbr: "Link", actv: false, dsbl: false, chnl: 1, href: "" },
            { id: 4, nmbr: "Disabled", actv: false, dsbl: true, chnl: 1, href: "" }
        ];
        this.tabs = [
            { id: 1, nmbr: "Active", actv: true, dsbl: false, chnl: 2, href: "" },
            { id: 2, nmbr: "Tab", actv: false, dsbl: false, chnl: 2, href: "" },
            { id: 3, nmbr: "Other Tab", actv: false, dsbl: false, chnl: 2, href: "" },
            { id: 4, nmbr: "Disabled", actv: false, dsbl: true, chnl: 2, href: "" }
        ];
        this.pill = [
            { id: 5, nmbr: "Active", actv: true, dsbl: false, chnl: 3, href: "" },
            { id: 6, nmbr: "Tab", actv: false, dsbl: false, chnl: 3, href: "" },
            { id: 7, nmbr: "Other Tab", actv: false, dsbl: false, chnl: 3, href: "" },
            { id: 8, nmbr: "Disabled", actv: false, dsbl: true, chnl: 3, href: "" }
        ];
        this.flex = [
            { id: 5, nmbr: "Active", actv: true, dsbl: false, chnl: 4, href: "" },
            { id: 6, nmbr: "Tab", actv: false, dsbl: false, chnl: 4, href: "" },
            { id: 7, nmbr: "Other Tab", actv: false, dsbl: false, chnl: 4, href: "" },
            { id: 8, nmbr: "Disabled", actv: false, dsbl: true, chnl: 4, href: "" }
        ];
    }
    ngOnInit() {
    }
    chngTabs(evnt) {
        alert("indice: " + evnt.id.toString() + ", data: " + evnt.nmbr);
    }
}
TabPageComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.1.4", ngImport: i0, type: TabPageComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
TabPageComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.1.4", type: TabPageComponent, selector: "ngb-tab-page", ngImport: i0, template: "<!--\n    Navigation available in Bootstrap share general markup and styles, from the base .nav class to the active and disabled states. \n    Swap modifier classes to switch between each style.\n    The base .nav component is built with flexbox and provide a strong foundation for building all types of navigation components. \n    It includes some style overrides (for working with lists), some link padding for larger hit areas, and basic disabled styling.\n-->\n<div class=\"row text-left\">\n    <h2>Nav y Tabs</h2>\n    <hr>\n</div>\n\n\n<br>\n\n<!-- base nav-->\n<div class=\"row\">\n    <ngb-card>\n        <div class=\"card-body\">\n            <h5 class=\"card-title\">Base Nav</h5>\n            <div class=\"row g-2\">\n                <div class=\"col\">\n                    <ngb-tab [lnks]=\"base\" [clss]=\"[]\" (evnt)=\"chngTabs($event)\"></ngb-tab>\n                </div>\n            </div>\n        </div>\n        <div class=\"card-footer\">\n            <code>\n                &lt;ngb-tab <span class=\"ngb-dcmt-drtv\">[lnks]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"base\"</span> <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"[]\"</span> <span class=\"ngb-dcmt-drtv\">(evnt)</span>=\"chngTabs($event)\"&gt;\n                &lt;/ngb-tab&gt;\n            <br></code>\n          \n        </div>\n    </ngb-card>\n</div>\n<!-- #end base nav-->\n<br>\n<!-- Horizontal nav alignment-->\n<div class=\"row\">\n    <ngb-card>\n        <div class=\"card-body\">\n            <h5 class=\"card-title\">Horizontal nav alignment</h5>\n            <div class=\"row g-2\">\n                <div class=\"col\">\n                    <ngb-tab [lnks]=\"base\" [clss]=\"['justify-content-center']\" (evnt)=\"chngTabs($event)\"></ngb-tab>\n                </div>\n            </div>\n        </div>\n        <div class=\"card-footer\">\n            <code>\n                &lt;ngb-tab <span class=\"ngb-dcmt-drtv\">[lnks]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"base\"</span> <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"['justify-content-center']\"</span> <span class=\"ngb-dcmt-drtv\">(evnt)</span>=\"chngTabs($event)\"&gt;\n                &lt;/ngb-tab&gt;\n            <br></code>\n          \n        </div>\n    </ngb-card>\n</div>\n<!-- #end Horizontal alignment-->\n<br>\n<!-- End alignment-->\n<div class=\"row\">\n    <ngb-card>\n        <div class=\"card-body\">\n            <h5 class=\"card-title\">End nav alignment</h5>\n            <div class=\"row g-2\">\n                <div class=\"col\">\n                    <ngb-tab [lnks]=\"base\" [clss]=\"['justify-content-end']\" (evnt)=\"chngTabs($event)\"></ngb-tab>\n                </div>\n            </div>\n        </div>\n        <div class=\"card-footer\">\n            <code>\n                &lt;ngb-tab <span class=\"ngb-dcmt-drtv\">[lnks]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"base\"</span> <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"['justify-content-end']\"</span> <span class=\"ngb-dcmt-drtv\">(evnt)</span>=\"chngTabs($event)\"&gt;\n                &lt;/ngb-tab&gt;\n            <br></code>\n          \n        </div>\n    </ngb-card>\n</div>\n<!-- #end End alignment-->\n<br>\n<!-- Vertical-->\n<div class=\"row\">\n    <ngb-card>\n        <div class=\"card-body\">\n            <h5 class=\"card-title\">Vertical nav</h5>\n            <div class=\"row g-2\">\n                <div class=\"col\">\n                    <ngb-tab [lnks]=\"base\" [clss]=\"['flex-column']\" (evnt)=\"chngTabs($event)\"></ngb-tab>\n                </div>\n            </div>\n        </div>\n        <div class=\"card-footer\">\n            <code>\n                &lt;ngb-tab <span class=\"ngb-dcmt-drtv\">[lnks]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"base\"</span> <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"['flex-column']\"</span> <span class=\"ngb-dcmt-drtv\">(evnt)</span>=\"chngTabs($event)\"&gt;\n                &lt;/ngb-tab&gt;\n            <br></code>\n          \n        </div>\n    </ngb-card>\n</div>\n<!-- #end Vertical-->\n<br>\n<!-- Tabs-->\n<div class=\"row\">\n    <ngb-card>\n        <div class=\"card-body\">\n            <h5 class=\"card-title\">Tabs</h5>\n            <div class=\"row g-2\">\n                <div class=\"col\">\n                    <ngb-tab [lnks]=\"tabs\" [clss]=\"['nav-tabs']\"></ngb-tab>\n                    <ngb-tab-panel [init]=\"tabs[0]\">\n                        <br>\n                        <h5> Tab {{ tabs[0].nmbr }}</h5>\n                        Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.\n                    </ngb-tab-panel>\n                    <ngb-tab-panel [init]=\"tabs[1]\">\n                        <br>\n                        <h5>{{ tabs[1].nmbr }}</h5>\n                        Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.\n                    </ngb-tab-panel>\n                    <ngb-tab-panel [init]=\"tabs[2]\">\n                        <br>\n                        <h5>{{ tabs[2].nmbr }}</h5>\n                        Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.\n                    </ngb-tab-panel>\n                    <ngb-tab-panel [init]=\"tabs[3]\">\n                        <br>\n                        <h5> Tab {{ tabs[3].nmbr }}</h5>\n                        Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.\n                    </ngb-tab-panel>\n                   \n                </div>\n            </div>\n        </div>\n        <div class=\"card-footer\">\n            <code>\n                &lt;ngb-tab <span class=\"ngb-dcmt-drtv\">[lnks]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"tabs\"</span> \n                <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"['nav-tabs']\"</span> &gt;<br>\n                &lt;/ngb-tab&gt;<br><br>\n                &lt;ngb-tab-panel <span class=\"ngb-dcmt-drtv\">[init]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"tabs[0]\"</span>&gt;<br>\n                &lt;h5&gt;<span class=\"ngb-dcmt-ttle\">Tab Active</span>&lt;/h5&gt;<br><span class=\"ngb-dcmt-ttle\">Lorem Ipsum is simply dummy text of the printing and typesetting industry...</span><br>&lt;/ngb-tab-panel&gt;\n<br>...<br>\n                &lt;ngb-tab-panel <span class=\"ngb-dcmt-drtv\">[init]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"tabs[2]\"</span>&gt;<br>\n                &lt;h5&gt;<span class=\"ngb-dcmt-ttle\">Other Tab</span>&lt;/h5&gt;<br><span class=\"ngb-dcmt-ttle\">Lorem Ipsum is simply dummy text of the printing and typesetting industry...</span><br>&lt;/ngb-tab-panel&gt;\n                <br></code>\n          \n        </div>\n    </ngb-card>\n</div>\n<!-- #end Tabs-->\n<br>\n<!-- Tabs Pills-->\n<div class=\"row\">\n    <ngb-card>\n        <div class=\"card-body\">\n            <h5 class=\"card-title\">Tabs</h5>\n            <div class=\"row g-2\">\n                <div class=\"col\">\n                    <ngb-tab [lnks]=\"pill\" [clss]=\"['nav-pills']\"></ngb-tab>\n                    <ngb-tab-panel [init]=\"pill[0]\">\n                        <br>\n                        <h5> Tab {{ pill[0].nmbr }}</h5>\n                        Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.\n                    </ngb-tab-panel>\n                    <ngb-tab-panel [init]=\"pill[1]\">\n                        <br>\n                        <h5> {{ pill[1].nmbr }}</h5>\n                        Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.\n                    </ngb-tab-panel>\n                    <ngb-tab-panel [init]=\"pill[2]\">\n                        <br>\n                        <h5> {{ pill[2].nmbr }}</h5>\n                        Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.\n                    </ngb-tab-panel>\n                   \n                </div>\n            </div>\n        </div>\n        <div class=\"card-footer\">\n            <code>\n                &lt;ngb-tab <span class=\"ngb-dcmt-drtv\">[lnks]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"pill\"</span> \n                <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"['nav-pills']\"</span> &gt;<br>\n                &lt;/ngb-tab&gt;<br><br>\n                &lt;ngb-tab-panel <span class=\"ngb-dcmt-drtv\">[init]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"pill[0]\"</span>&gt;<br>\n                &lt;h5&gt;<span class=\"ngb-dcmt-ttle\">Tab Active</span>&lt;/h5&gt;<br><span class=\"ngb-dcmt-ttle\">Lorem Ipsum is simply dummy text of the printing and typesetting industry...</span><br>&lt;/ngb-tab-panel&gt;\n<br>...<br>\n                &lt;ngb-tab-panel <span class=\"ngb-dcmt-drtv\">[init]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"pill[2]\"</span>&gt;<br>\n                &lt;h5&gt;<span class=\"ngb-dcmt-ttle\">Other Tab</span>&lt;/h5&gt;<br><span class=\"ngb-dcmt-ttle\">Lorem Ipsum is simply dummy text of the printing and typesetting industry...</span><br>&lt;/ngb-tab-panel&gt;\n                \n            <br></code>\n          \n        </div>\n    </ngb-card>\n</div>\n<!-- #end Tabs Pills-->\n\n<br>\n\n<!-- Vertical Tabs-->\n<div class=\"row\">\n    <ngb-card>\n        <div class=\"card-body\">\n            <h5 class=\"card-title\">Vertical Tabs</h5>\n            <div class=\"row g-2\">\n                <div class=\"col\">\n                    <div class=\"d-flex align-items-start\">\n                    <ngb-tab [lnks]=\"flex\" [clss]=\"['flex-column', 'nav-pills']\"></ngb-tab>\n                    <ngb-tab-panel [init]=\"flex[0]\">\n   \n                        <h5> Tab {{ pill[0].nmbr }}</h5>\n                        Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.\n                    </ngb-tab-panel>\n                    <ngb-tab-panel [init]=\"flex[1]\">\n                      \n                        <h5> {{ pill[1].nmbr }}</h5>\n                        Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.\n                    </ngb-tab-panel>\n                    <ngb-tab-panel [init]=\"flex[2]\">\n                   \n                        <h5> {{ pill[2].nmbr }}</h5>\n                        Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.\n                    </ngb-tab-panel>\n                </div>\n                </div>\n            </div>\n        </div>\n        <div class=\"card-footer\">\n            <code>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"d-flex align-items-start\"</span>&gt;<br>\n                &lt;ngb-tab <span class=\"ngb-dcmt-drtv\">[lnks]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"flex\"</span> <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"['flex-column', 'nav-pills']\"</span>&gt;<br>\n                &lt;/ngb-tab&gt;<br>                \n                \n                &lt;ngb-tab-panel <span class=\"ngb-dcmt-drtv\">[init]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"pill[0]\"</span>&gt;<br>\n                &lt;h5&gt;<span class=\"ngb-dcmt-ttle\">Tab Active</span>&lt;/h5&gt;<br><span class=\"ngb-dcmt-ttle\">Lorem Ipsum is simply dummy text of the printing and typesetting industry...</span><br>&lt;/ngb-tab-panel&gt;\n<br>...<br>\n                &lt;ngb-tab-panel <span class=\"ngb-dcmt-drtv\">[init]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"pill[2]\"</span>&gt;<br>\n                &lt;h5&gt;<span class=\"ngb-dcmt-ttle\">Other Tab</span>&lt;/h5&gt;<br><span class=\"ngb-dcmt-ttle\">Lorem Ipsum is simply dummy text of the printing and typesetting industry...</span><br>&lt;/ngb-tab-panel&gt;\n                <br>&lt;/div&gt;\n                <br></code>\n          \n        </div>\n    </ngb-card>\n</div>\n<!-- #end Verticasl Tabs-->", styles: [""], components: [{ type: CardComponent, selector: "ngb-card", inputs: ["clss"] }, { type: TabComponent, selector: "ngb-tab", inputs: ["lnks", "clss"], outputs: ["evnt"] }, { type: TabPanelComponent, selector: "ngb-tab-panel", inputs: ["init"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.1.4", ngImport: i0, type: TabPageComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ngb-tab-page',
                    templateUrl: './tab.page.html',
                    styleUrls: ['./tab.page.css']
                }]
        }], ctorParameters: function () { return []; } });

class ButtonComponent {
    constructor() {
        this.disabled = false;
        /**
         * Cuando se hace click en el boton, se ejecuta el evento Emitt
         */
        this.clck = new EventEmitter();
    }
    ngOnInit() {
    }
    clckBttn() {
        this.clck.emit();
    }
}
ButtonComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.1.4", ngImport: i0, type: ButtonComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
ButtonComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.1.4", type: ButtonComponent, selector: "ngb-button", inputs: { clase: ["clss", "clase"], disabled: ["dsbl", "disabled"] }, outputs: { clck: "clck" }, ngImport: i0, template: "<button type=\"button\" [ngClass]=\"disabled ? ['disabled'].concat(clase) : clase\" (click)=\"clckBttn()\" [disabled]=\"disabled\">\n    <ng-content></ng-content>\n</button>", styles: [".btn-check{position:absolute;clip:rect(0,0,0,0);pointer-events:none}.btn-check:disabled+.btn,.btn-check[disabled]+.btn{pointer-events:none;filter:none;opacity:.65}.btn{display:inline-block;font-weight:400;line-height:1.5;color:#212529;text-align:center;text-decoration:none;vertical-align:middle;cursor:pointer;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;background-color:transparent;border:1px solid transparent;padding:.375rem .75rem;font-size:1rem;border-radius:.25rem;transition:color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out}.btn-close{box-sizing:content-box;width:1em;height:1em;padding:.25em;color:#000;background:transparent url(\"data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23000'%3e%3cpath d='M.293.293a1 1 0 011.414 0L8 6.586 14.293.293a1 1 0 111.414 1.414L9.414 8l6.293 6.293a1 1 0 01-1.414 1.414L8 9.414l-6.293 6.293a1 1 0 01-1.414-1.414L6.586 8 .293 1.707a1 1 0 010-1.414z'/%3e%3c/svg%3e\") center/1em auto no-repeat;border:0;border-radius:.25rem;opacity:.5}@media (prefers-reduced-motion:reduce){.btn{transition:none}}.btn:hover{color:#212529}.btn-check:focus+.btn,.btn:focus{outline:0;box-shadow:0 0 0 .25rem #0d6efd40}.btn.disabled,.btn:disabled,fieldset:disabled .btn{pointer-events:none;opacity:.65}.btn-primary{color:#fff;background-color:#0d6efd;border-color:#0d6efd}.btn-primary:hover{color:#fff;background-color:#0b5ed7;border-color:#0a58ca}.btn-check:focus+.btn-primary,.btn-primary:focus{color:#fff;background-color:#0b5ed7;border-color:#0a58ca;box-shadow:0 0 0 .25rem #3184fd80}.btn-check:active+.btn-primary,.btn-check:checked+.btn-primary,.btn-primary.active,.btn-primary:active,.show>.btn-primary.dropdown-toggle{color:#fff;background-color:#0a58ca;border-color:#0a53be}.btn-check:active+.btn-primary:focus,.btn-check:checked+.btn-primary:focus,.btn-primary.active:focus,.btn-primary:active:focus,.show>.btn-primary.dropdown-toggle:focus{box-shadow:0 0 0 .25rem #3184fd80}.btn-primary.disabled,.btn-primary:disabled{color:#fff;background-color:#0d6efd;border-color:#0d6efd}.btn-secondary{color:#fff;background-color:#6c757d;border-color:#6c757d}.btn-secondary:hover{color:#fff;background-color:#5c636a;border-color:#565e64}.btn-check:focus+.btn-secondary,.btn-secondary:focus{color:#fff;background-color:#5c636a;border-color:#565e64;box-shadow:0 0 0 .25rem #828a9180}.btn-check:active+.btn-secondary,.btn-check:checked+.btn-secondary,.btn-secondary.active,.btn-secondary:active,.show>.btn-secondary.dropdown-toggle{color:#fff;background-color:#565e64;border-color:#51585e}.btn-check:active+.btn-secondary:focus,.btn-check:checked+.btn-secondary:focus,.btn-secondary.active:focus,.btn-secondary:active:focus,.show>.btn-secondary.dropdown-toggle:focus{box-shadow:0 0 0 .25rem #828a9180}.btn-secondary.disabled,.btn-secondary:disabled{color:#fff;background-color:#6c757d;border-color:#6c757d}.btn-success{color:#fff;background-color:#198754;border-color:#198754}.btn-success:hover{color:#fff;background-color:#157347;border-color:#146c43}.btn-check:focus+.btn-success,.btn-success:focus{color:#fff;background-color:#157347;border-color:#146c43;box-shadow:0 0 0 .25rem #3c996e80}.btn-check:active+.btn-success,.btn-check:checked+.btn-success,.btn-success.active,.btn-success:active,.show>.btn-success.dropdown-toggle{color:#fff;background-color:#146c43;border-color:#13653f}.btn-check:active+.btn-success:focus,.btn-check:checked+.btn-success:focus,.btn-success.active:focus,.btn-success:active:focus,.show>.btn-success.dropdown-toggle:focus{box-shadow:0 0 0 .25rem #3c996e80}.btn-success .disabled,.btn-success:disabled{color:#fff;background-color:#198754;border-color:#198754}.btn-info{color:#000;background-color:#0dcaf0;border-color:#0dcaf0}.btn-info:hover{color:#000;background-color:#31d2f2;border-color:#25cff2}.btn-check:focus+.btn-info,.btn-info:focus{color:#000;background-color:#31d2f2;border-color:#25cff2;box-shadow:0 0 0 .25rem #0baccc80}.btn-check:active+.btn-info,.btn-check:checked+.btn-info,.btn-info .active,.btn-info:active,.show>.btn-info .dropdown-toggle{color:#000;background-color:#3dd5f3;border-color:#25cff2}.btn-check:active+.btn-info:focus,.btn-check:checked+.btn-info:focus,.btn-info .active:focus,.btn-info:active:focus,.show>.btn-info .dropdown-toggle:focus{box-shadow:0 0 0 .25rem #0baccc80}.btn-info.disabled,.btn-info:disabled{color:#000;background-color:#0dcaf0;border-color:#0dcaf0}.btn-warning{color:#000;background-color:#ffc107;border-color:#ffc107}.btn-warning:hover{color:#000;background-color:#ffca2c;border-color:#ffc720}.btn-check:focus+.btn-warning,.btn-warning:focus{color:#000;background-color:#ffca2c;border-color:#ffc720;box-shadow:0 0 0 .25rem #d9a40680}.btn-check:active+.btn-warning,.btn-check:checked+.btn-warning,.btn-warning.active,.btn-warning:active,.show>.btn-warning.dropdown-toggle{color:#000;background-color:#ffcd39;border-color:#ffc720}.btn-check:active+.btn-warning:focus,.btn-check:checked+.btn-warning:focus,.btn-warning.active:focus,.btn-warning:active:focus,.show>.btn-warning.dropdown-toggle:focus{box-shadow:0 0 0 .25rem #d9a40680}.btn-warning.disabled,.btn-warning:disabled{color:#000;background-color:#ffc107;border-color:#ffc107}.btn-danger{color:#fff;background-color:#dc3545;border-color:#dc3545}.btn-danger:hover{color:#fff;background-color:#bb2d3b;border-color:#b02a37}.btn-check:focus+.btn-danger,.btn-danger:focus{color:#fff;background-color:#bb2d3b;border-color:#b02a37;box-shadow:0 0 0 .25rem #e1536180}.btn-check:active+.btn-danger,.btn-check:checked+.btn-danger,.btn-danger.active,.btn-danger:active,.show>.btn-danger.dropdown-toggle{color:#fff;background-color:#b02a37;border-color:#a52834}.btn-check:active+.btn-danger:focus,.btn-check:checked+.btn-danger:focus,.btn-danger.active:focus,.btn-danger:active:focus,.show>.btn-danger.dropdown-toggle:focus{box-shadow:0 0 0 .25rem #e1536180}.btn-danger.disabled,.btn-danger:disabled{color:#fff;background-color:#dc3545;border-color:#dc3545}.btn-light{color:#000;background-color:#f8f9fa;border-color:#f8f9fa}.btn-light:hover{color:#000;background-color:#f9fafb;border-color:#f9fafb}.btn-check:focus+.btn-light,.btn-light:focus{color:#000;background-color:#f9fafb;border-color:#f9fafb;box-shadow:0 0 0 .25rem #d3d4d580}.btn-check:active+.btn-light,.btn-check:checked+.btn-light,.btn-light.active,.btn-light:active,.show>.btn-light.dropdown-toggle{color:#000;background-color:#f9fafb;border-color:#f9fafb}.btn-check:active+.btn-light:focus,.btn-check:checked+.btn-light:focus,.btn-light.active:focus,.btn-light:active:focus,.show>.btn-light.dropdown-toggle:focus{box-shadow:0 0 0 .25rem #d3d4d580}.btn-light.disabled,.btn-light:disabled{color:#000;background-color:#f8f9fa;border-color:#f8f9fa}.btn-dark{color:#fff;background-color:#212529;border-color:#212529}.btn-dark:hover{color:#fff;background-color:#1c1f23;border-color:#1a1e21}.btn-check:focus+.btn-dark,.btn-dark:focus{color:#fff;background-color:#1c1f23;border-color:#1a1e21;box-shadow:0 0 0 .25rem #42464980}.btn-check:active+.btn-dark,.btn-check:checked+.btn-dark,.btn-dark.active,.btn-dark:active,.show>.btn-dark.dropdown-toggle{color:#fff;background-color:#1a1e21;border-color:#191c1f}.btn-check:active+.btn-dark:focus,.btn-check:checked+.btn-dark:focus,.btn-dark.active:focus,.btn-dark:active:focus,.show>.btn-dark.dropdown-toggle:focus{box-shadow:0 0 0 .25rem #42464980}.btn-dark.disabled,.btn-dark:disabled{color:#fff;background-color:#212529;border-color:#212529}.btn-outline-primary{color:#0d6efd;border-color:#0d6efd}.btn-outline-primary:hover{color:#fff;background-color:#0d6efd;border-color:#0d6efd}.btn-check:focus+.btn-outline-primary,.btn-outline-primary:focus{box-shadow:0 0 0 .25rem #0d6efd80}.btn-check:active+.btn-outline-primary,.btn-check:checked+.btn-outline-primary,.btn-outline-primary.active,.btn-outline-primary.dropdown-toggle.show,.btn-outline-primary:active{color:#fff;background-color:#0d6efd;border-color:#0d6efd}.btn-check:active+.btn-outline-primary:focus,.btn-check:checked+.btn-outline-primary:focus,.btn-outline-primary.active:focus,.btn-outline-primary.dropdown-toggle.show:focus,.btn-outline-primary:active:focus{box-shadow:0 0 0 .25rem #0d6efd80}.btn-outline-primary.disabled,.btn-outline-primary:disabled{color:#0d6efd;background-color:transparent}.btn-outline-secondary{color:#6c757d;border-color:#6c757d}.btn-outline-secondary:hover{color:#fff;background-color:#6c757d;border-color:#6c757d}.btn-check:focus+.btn-outline-secondary,.btn-outline-secondary:focus{box-shadow:0 0 0 .25rem #6c757d80}.btn-check:active+.btn-outline-secondary,.btn-check:checked+.btn-outline-secondary,.btn-outline-secondary.active,.btn-outline-secondary.dropdown-toggle.show,.btn-outline-secondary:active{color:#fff;background-color:#6c757d;border-color:#6c757d}.btn-check:active+.btn-outline-secondary:focus,.btn-check:checked+.btn-outline-secondary:focus,.btn-outline-secondary.active:focus,.btn-outline-secondary.dropdown-toggle.show:focus,.btn-outline-secondary:active:focus{box-shadow:0 0 0 .25rem #6c757d80}.btn-outline-secondary.disabled,.btn-outline-secondary:disabled{color:#6c757d;background-color:transparent}.btn-outline-success{color:#198754;border-color:#198754}.btn-outline-success:hover{color:#fff;background-color:#198754;border-color:#198754}.btn-check:focus+.btn-outline-success,.btn-outline-success:focus{box-shadow:0 0 0 .25rem #19875480}.btn-check:active+.btn-outline-success,.btn-check:checked+.btn-outline-success,.btn-outline-success.active,.btn-outline-success.dropdown-toggle.show,.btn-outline-success:active{color:#fff;background-color:#198754;border-color:#198754}.btn-check:active+.btn-outline-success:focus,.btn-check:checked+.btn-outline-success:focus,.btn-outline-success.active:focus,.btn-outline-success.dropdown-toggle.show:focus,.btn-outline-success:active:focus{box-shadow:0 0 0 .25rem #19875480}.btn-outline-success.disabled,.btn-outline-success:disabled{color:#198754;background-color:transparent}.btn-outline-info{color:#0dcaf0;border-color:#0dcaf0}.btn-outline-info:hover{color:#000;background-color:#0dcaf0;border-color:#0dcaf0}.btn-check:focus+.btn-outline-info,.btn-outline-info:focus{box-shadow:0 0 0 .25rem #0dcaf080}.btn-check:active+.btn-outline-info,.btn-check:checked+.btn-outline-info,.btn-outline-info.active,.btn-outline-info.dropdown-toggle.show,.btn-outline-info:active{color:#000;background-color:#0dcaf0;border-color:#0dcaf0}.btn-check:active+.btn-outline-info:focus,.btn-check:checked+.btn-outline-info:focus,.btn-outline-info.active:focus,.btn-outline-info.dropdown-toggle.show:focus,.btn-outline-info:active:focus{box-shadow:0 0 0 .25rem #0dcaf080}.btn-outline-info.disabled,.btn-outline-info:disabled{color:#0dcaf0;background-color:transparent}.btn-outline-warning{color:#ffc107;border-color:#ffc107}.btn-outline-warning:hover{color:#000;background-color:#ffc107;border-color:#ffc107}.btn-check:focus+.btn-outline-warning,.btn-outline-warning:focus{box-shadow:0 0 0 .25rem #ffc10780}.btn-check:active+.btn-outline-warning,.btn-check:checked+.btn-outline-warning,.btn-outline-warning.active,.btn-outline-warning.dropdown-toggle.show,.btn-outline-warning:active{color:#000;background-color:#ffc107;border-color:#ffc107}.btn-check:active+.btn-outline-warning:focus,.btn-check:checked+.btn-outline-warning:focus,.btn-outline-warning.active:focus,.btn-outline-warning.dropdown-toggle.show:focus,.btn-outline-warning:active:focus{box-shadow:0 0 0 .25rem #ffc10780}.btn-outline-warning.disabled,.btn-outline-warning:disabled{color:#ffc107;background-color:transparent}.btn-outline-danger{color:#dc3545;border-color:#dc3545}.btn-outline-danger:hover{color:#fff;background-color:#dc3545;border-color:#dc3545}.btn-check:focus+.btn-outline-danger,.btn-outline-danger:focus{box-shadow:0 0 0 .25rem #dc354580}.btn-check:active+.btn-outline-danger,.btn-check:checked+.btn-outline-danger,.btn-outline-danger.active,.btn-outline-danger.dropdown-toggle.show,.btn-outline-danger:active{color:#fff;background-color:#dc3545;border-color:#dc3545}.btn-check:active+.btn-outline-danger:focus,.btn-check:checked+.btn-outline-danger:focus,.btn-outline-danger.active:focus,.btn-outline-danger.dropdown-toggle.show:focus,.btn-outline-danger:active:focus{box-shadow:0 0 0 .25rem #dc354580}.btn-outline-danger.disabled,.btn-outline-danger:disabled{color:#dc3545;background-color:transparent}.btn-outline-light{color:#f8f9fa;border-color:#f8f9fa}.btn-outline-light:hover{color:#000;background-color:#f8f9fa;border-color:#f8f9fa}.btn-check:focus+.btn-outline-light,.btn-outline-light:focus{box-shadow:0 0 0 .25rem #f8f9fa80}.btn-check:active+.btn-outline-light,.btn-check:checked+.btn-outline-light,.btn-outline-light.active,.btn-outline-light.dropdown-toggle.show,.btn-outline-light:active{color:#000;background-color:#f8f9fa;border-color:#f8f9fa}.btn-check:active+.btn-outline-light:focus,.btn-check:checked+.btn-outline-light:focus,.btn-outline-light.active:focus,.btn-outline-light.dropdown-toggle.show:focus,.btn-outline-light:active:focus{box-shadow:0 0 0 .25rem #f8f9fa80}.btn-outline-light.disabled,.btn-outline-light:disabled{color:#f8f9fa;background-color:transparent}.btn-outline-dark{color:#212529;border-color:#212529}.btn-outline-dark:hover{color:#fff;background-color:#212529;border-color:#212529}.btn-check:focus+.btn-outline-dark,.btn-outline-dark:focus{box-shadow:0 0 0 .25rem #21252980}.btn-check:active+.btn-outline-dark,.btn-check:checked+.btn-outline-dark,.btn-outline-dark.active,.btn-outline-dark.dropdown-toggle.show,.btn-outline-dark:active{color:#fff;background-color:#212529;border-color:#212529}.btn-check:active+.btn-outline-dark:focus,.btn-check:checked+.btn-outline-dark:focus,.btn-outline-dark.active:focus,.btn-outline-dark.dropdown-toggle.show:focus,.btn-outline-dark:active:focus{box-shadow:0 0 0 .25rem #21252980}.btn-outline-dark.disabled,.btn-outline-dark:disabled{color:#212529;background-color:transparent}.btn-link{font-weight:400;color:#0d6efd;text-decoration:underline}.btn-link:hover{color:#0a58ca}.btn-link.disabled,.btn-link:disabled{color:#6c757d}.btn-group-lg>.btn,.btn-lg{padding:.5rem 1rem;font-size:1.25rem;border-radius:.3rem}.btn-group-sm>.btn,.btn-sm{padding:.25rem .5rem;font-size:.875rem;border-radius:.2rem}\n"], directives: [{ type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.1.4", ngImport: i0, type: ButtonComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ngb-button',
                    templateUrl: './button.component.html',
                    styleUrls: ['./button.component.css']
                }]
        }], ctorParameters: function () { return []; }, propDecorators: { clase: [{
                type: Input,
                args: ["clss"]
            }], disabled: [{
                type: Input,
                args: ["dsbl"]
            }], clck: [{
                type: Output
            }] } });

class ModalComponent {
    constructor(render) {
        this.render = render;
        this.stte = new EventEmitter();
        this.dialogBase = ["modal-dialog"];
        this.isOpen = false;
    }
    ngOnInit() {
    }
    tgle() {
        this.isOpen = !this.isOpen;
    }
    _getStat() {
        this.stte.emit(this.isOpen ? 'open' : 'close');
    }
}
ModalComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.1.4", ngImport: i0, type: ModalComponent, deps: [{ token: i0.Renderer2 }], target: i0.ɵɵFactoryTarget.Component });
ModalComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.1.4", type: ModalComponent, selector: "ngb-modal", inputs: { dialogType: ["clss", "dialogType"] }, outputs: { stte: "stte" }, viewQueries: [{ propertyName: "backdrop", first: true, predicate: ["backdrop"], descendants: true }], ngImport: i0, template: "<div [@stateModal]=\"isOpen ? 'show' : 'hide'\" class=\"modal\" [ngStyle]=\"isOpen ? {display: 'block'} : {display:'none'}\">\n    <div  [ngClass]=\"dialogType == undefined ? dialogBase : dialogBase.concat(dialogType)\">\n      <div class=\"modal-content\">\n        <ng-content></ng-content>        \n      </div>\n    </div>\n</div>\n<div #backdrop [ngClass]=\"isOpen ? ['modal-backdrop', 'show'] : ['modal-backdrop']\" [ngStyle]=\"isOpen ? {display: 'block'} : {display:'none'}\"></div>\n", styles: [":host ::ng-deep .modal-header{display:flex;flex-shrink:0;align-items:center;justify-content:space-between;padding:1rem;border-bottom:1px solid #dee2e6;border-top-left-radius:calc(.3rem - 1px);border-top-right-radius:calc(.3rem - 1px)}:host ::ng-deep .modal-header.btn-close{padding:.5rem;margin:-.5rem -.5rem -.5rem auto}:host ::ng-deep .modal-title{margin-bottom:0;line-height:1.5}:host ::ng-deep .modal-footer{display:flex;flex-wrap:wrap;flex-shrink:0;align-items:center;justify-content:flex-end;padding:.75rem;border-top:1px solid #dee2e6;border-bottom-right-radius:calc(.3rem - 1px);border-bottom-left-radius:calc(.3rem - 1px)}.modal-footer>*{margin:.25rem}:host ::ng-deep .modal-body{position:relative;flex:1 1 auto;padding:1rem}.modal{position:fixed;top:0;left:0;z-index:1055;width:100%;height:100%;overflow-x:hidden;overflow-y:auto;outline:0}.modal-dialog{position:relative;width:auto;margin:.5rem;pointer-events:none}.modal.modal-dialog{transition:transform .3s ease-out;transform:translateY(-50px)}@media (prefers-reduced-motion:reduce){.modal.modal-dialog{transition:none}}.modal.show.modal-dialog{transform:none}.modal.modal-static.modal-dialog{transform:scale(1.02)}.modal-dialog-scrollable{height:calc(100% - 1rem)}.modal-dialog-scrollable .modal-content{max-height:100%;overflow:hidden}:host::ng-deep .modal-dialog-scrollable .modal-body{overflow-y:auto}.modal-dialog-centered{display:flex;align-items:center;min-height:calc(100% - 1rem)}.modal-content{position:relative;display:flex;flex-direction:column;width:100%;pointer-events:auto;background-color:#fff;background-clip:padding-box;border:1px solid rgba(0,0,0,.2);border-radius:.3rem;outline:0}.modal-backdrop{position:fixed;top:0;left:0;z-index:1050;width:100vw;height:100vh;background-color:#000}.modal-backdrop.fade{opacity:0}.modal-backdrop.show{opacity:.5}@media (min-width:576px){.modal-dialog{max-width:500px;margin:1.75rem auto}.modal-dialog-scrollable{height:calc(100% - 3.5rem)}.modal-dialog-centered{min-height:calc(100% - 3.5rem)}.modal-sm{max-width:300px}}@media (min-width:992px){.modal-lg,.modal-xl{max-width:800px}}@media (min-width:1200px){.modal-xl{max-width:1140px}}.modal-fullscreen{width:100vw;max-width:none;height:100%;margin:0}.modal-fullscreen .modal-content{height:100%;border:0;border-radius:0}.modal-fullscreen.modal-header{border-radius:0}.modal-fullscreen.modal-body{overflow-y:auto}.modal-fullscreen.modal-footer{border-radius:0}@media (max-width:575.98px){.modal-fullscreen-sm-down{width:100vw;max-width:none;height:100%;margin:0}.modal-fullscreen-sm-down.modal-content{height:100%;border:0;border-radius:0}.modal-fullscreen-sm-down.modal-header{border-radius:0}.modal-fullscreen-sm-down.modal-body{overflow-y:auto}.modal-fullscreen-sm-down.modal-footer{border-radius:0}}@media (max-width:767.98px){.modal-fullscreen-md-down{width:100vw;max-width:none;height:100%;margin:0}.modal-fullscreen-md-down.modal-content{height:100%;border:0;border-radius:0}.modal-fullscreen-md-down.modal-header{border-radius:0}.modal-fullscreen-md-down.modal-body{overflow-y:auto}.modal-fullscreen-md-down.modal-footer{border-radius:0}}@media (max-width:991.98px){.modal-fullscreen-lg-down{width:100vw;max-width:none;height:100%;margin:0}.modal-fullscreen-lg-down .modal-content{height:100%;border:0;border-radius:0}.modal-fullscreen-lg-down.modal-header{border-radius:0}.modal-fullscreen-lg-down.modal-body{overflow-y:auto}.modal-fullscreen-lg-down.modal-footer{border-radius:0}}@media (max-width:1199.98px){.modal-fullscreen-xl-down{width:100vw;max-width:none;height:100%;margin:0}.modal-fullscreen-xl-down .modal-content{height:100%;border:0;border-radius:0}.modal-fullscreen-xl-down.modal-header{border-radius:0}.modal-fullscreen-xl-down.modal-body{overflow-y:auto}.modal-fullscreen-xl-down.modal-footer{border-radius:0}}@media (max-width:1399.98px){.modal-fullscreen-xxl-down{width:100vw;max-width:none;height:100%;margin:0}.modal-fullscreen-xxl-down .modal-content{height:100%;border:0;border-radius:0}.modal-fullscreen-xxl-down.modal-header{border-radius:0}.modal-fullscreen-xxl-down.modal-body{overflow-y:auto}.modal-fullscreen-xxl-down.modal-footer{border-radius:0}}\n"], directives: [{ type: i1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }], animations: [
        trigger('stateModal', [
            state('hide', style({
                opacity: 0,
                transform: 'translate(0, -50px)',
            })),
            state('show', style({
                opacity: 1,
                transform: 'none',
            })),
            transition('hide => show', animate('0.3s ease-in')),
            transition('show => hide', animate('0.3s ease-out'))
        ])
    ] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.1.4", ngImport: i0, type: ModalComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ngb-modal',
                    templateUrl: './modal.component.html',
                    styleUrls: ['./modal.component.css'],
                    animations: [
                        trigger('stateModal', [
                            state('hide', style({
                                opacity: 0,
                                transform: 'translate(0, -50px)',
                            })),
                            state('show', style({
                                opacity: 1,
                                transform: 'none',
                            })),
                            transition('hide => show', animate('0.3s ease-in')),
                            transition('show => hide', animate('0.3s ease-out'))
                        ])
                    ]
                }]
        }], ctorParameters: function () { return [{ type: i0.Renderer2 }]; }, propDecorators: { backdrop: [{
                type: ViewChild,
                args: ['backdrop']
            }], dialogType: [{
                type: Input,
                args: ["clss"]
            }], stte: [{
                type: Output
            }] } });

class ModalPageComponent {
    constructor() { }
    ngOnInit() {
    }
}
ModalPageComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.1.4", ngImport: i0, type: ModalPageComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
ModalPageComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.1.4", type: ModalPageComponent, selector: "ngb-modal-page", ngImport: i0, template: "<!--\nBelow is a static modal example (meaning its position and display have been overridden). \nIncluded are the modal header, modal body (required for padding), and modal footer (optional). \nWe ask that you include modal headers with dismiss actions whenever possible, or provide another explicit dismiss action.\n-->\n<div class=\"row text-left\">\n    <h2>Modal</h2>\n    <hr>\n</div>\n\n<!-- modal estandard-->\n<div class=\"row\">\n    <ngb-card>\n        <div class=\"card-body\">\n            <h5 class=\"card-title\">Ejemplo modal estandar</h5>\n            <div class=\"row g-2\">\n                <div class=\"col\">\n                    <ngb-button [clss]=\"['btn', 'btn-primary']\" (clck)=\"demoModal.tgle()\">Launch demo modal</ngb-button>\n                    <ngb-modal #demoModal>\n                        <div class=\"modal-header\">\n                            <h5 class=\"modal-title\" id=\"exampleModalLabel\">Modal title</h5>\n                            <ngb-button [clss]=\"['btn-close']\" (clck)=\"demoModal.tgle()\"></ngb-button>\n                          </div>\n                          <div class=\"modal-body\">\n                            ...\n                          </div>\n                          <div class=\"modal-footer\">\n                            <ngb-button [clss]=\"['btn', 'btn-secondary']\" (clck)=\"demoModal.tgle()\" >Close</ngb-button>\n                            <ngb-button [clss]=\"['btn', 'btn-primary']\" class=\"ngb-btn-spce\">Save changes</ngb-button>\n\n                          </div>\n                    </ngb-modal>\n                </div>\n            </div>\n        </div>\n        <div class=\"card-footer\">\n            <code>\n                &lt;ngb-button <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"['btn', 'btn-primary']\"</span> <span class=\"ngb-dcmt-drtv\">(clck)</span>=\"demoModal.tgle()\"&gt;<span class=\"ngb-dcmt-ttle\">Launch demo modal</span>&lt;/ngb-button&gt;\n                <br><br>\n                &lt;ngb-modal <span class=\"ngb-dcmt-drtv-vlue\">#demoModal</span> &gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"modal-header\"</span>&gt;<br>\n                &lt;h5 <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"modal-title\"</span> <span class=\"ngb-dcmt-drtv\">id</span>=\"exampleModalLabel\"&gt;<span class=\"ngb-dcmt-ttle\">Modal title</span>&lt;/h5&gt;<br>\n                &lt;ngb-button <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"['btn-close']\"</span> <span class=\"ngb-dcmt-drtv\">(clck)</span>=\"demoModal.tgle()\"&gt;<br>\n                &lt;/ngb-button&gt;<br>\n                &lt;/div&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"modal-body\"</span>&gt;<span class=\"ngb-dcmt-ttle\">...</span>&lt;/div&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"modal-footer\"</span>&gt;<br>\n                &lt;ngb-button <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"['btn', 'btn-secondary']\"</span> <span class=\"ngb-dcmt-drtv\">(clck)</span>=\"demoModal.tgle()\" &gt;<span class=\"ngb-dcmt-ttle\">Close</span>&lt;/ngb-button&gt;<br>\n                &lt;ngb-button <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"['btn', 'btn-primary']\"</span> <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"ngb-btn-spce\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Save changes</span>&lt;/ngb-button&gt;<br>\n                &lt;/div&gt;<br>\n                &lt;/ngb-modal&gt;\n            <br></code>\n          \n        </div>\n    </ngb-card>\n</div>\n<!-- #end modal estandar-->\n<br>\n\n<!-- modal scrolleable-->\n<div class=\"row\">\n    <ngb-card>\n        <div class=\"card-body\">\n            <h5 class=\"card-title\"> modal centrado y scroll en modal</h5>\n            <div class=\"row g-2\">\n                <div class=\"col\">\n                    <ngb-button [clss]=\"['btn', 'btn-primary']\" (clck)=\"centerModal.tgle()\">Launch centered modal</ngb-button>\n                    <ngb-button [clss]=\"['btn', 'btn-primary']\" (clck)=\"scrollModal.tgle()\" class=\"ngb-btn-spce\">Launch scrollable modal</ngb-button>\n                    <ngb-modal #centerModal [clss]=\"['modal-dialog-centered']\">\n                        <div class=\"modal-header\">\n                            <h5 class=\"modal-title\">Center modal</h5>\n                            <ngb-button [clss]=\"['btn-close']\" (clck)=\"centerModal.tgle()\"></ngb-button>\n                          </div>\n                          <div class=\"modal-body\">\n                           ...\n                          </div>\n                          <div class=\"modal-footer\">\n                            <ngb-button [clss]=\"['btn', 'btn-secondary']\" (clck)=\"centerModal.tgle()\" >Close</ngb-button>\n                            <ngb-button [clss]=\"['btn', 'btn-primary']\" class=\"ngb-btn-spce\">Save changes</ngb-button>\n\n                          </div>\n                    </ngb-modal>\n                    <ngb-modal #scrollModal [clss]=\"['modal-dialog-scrollable']\">\n                        <div class=\"modal-header\">\n                            <h5 class=\"modal-title\">Modal title</h5>\n                            <ngb-button [clss]=\"['btn-close']\" (clck)=\"scrollModal.tgle()\"></ngb-button>\n                          </div>\n                          <div class=\"modal-body\">\n                            Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam nisi urna, rhoncus et sagittis eu, venenatis id sapien. Donec ut ipsum eu enim dapibus scelerisque. In sit amet orci interdum nisi tincidunt tristique. Morbi pellentesque, sapien a feugiat tempus, orci diam scelerisque est, id vehicula augue neque sit amet enim. Nam dignissim commodo augue nec tincidunt. Morbi varius arcu metus, nec mollis massa fermentum ut. Quisque facilisis leo vel neque lacinia semper. Nulla efficitur nisl sapien, quis suscipit metus placerat in. Curabitur varius, erat sed bibendum pretium, ex ipsum tempus nisi, luctus tempor neque ex vel odio.\n\n                            Donec accumsan in diam et tincidunt. Nullam purus libero, accumsan vehicula ligula vel, aliquet vehicula libero. Aenean dignissim vel tortor eu aliquet. Quisque venenatis lorem et metus maximus, vitae consequat leo hendrerit. Duis eget diam ut neque maximus molestie. Mauris ac semper turpis, nec pellentesque nibh. Integer et dui consectetur, elementum purus nec, facilisis nunc. Nulla vitae laoreet eros, quis commodo mauris. Vestibulum a odio tellus. Vivamus vitae lacus at lectus bibendum porttitor in eu elit. Praesent porttitor enim eu lacinia convallis. Fusce elit arcu, gravida non dapibus vitae, iaculis non massa. Donec non ligula faucibus, sollicitudin eros ut, porttitor turpis. Pellentesque dignissim venenatis dolor.\n                            \n                            Nunc sollicitudin erat libero, et imperdiet nibh fermentum id. Quisque lacinia magna facilisis ligula faucibus, non malesuada orci varius. Nam sed velit maximus, tempus dolor lacinia, ultrices nisi. Curabitur porta sagittis ipsum nec consequat. Donec lobortis, est euismod venenatis viverra, erat erat venenatis tellus, sit amet tincidunt massa augue at leo. Integer nec scelerisque metus. Aenean ullamcorper bibendum felis, sed sodales odio mollis sed. Nunc non sodales enim, a semper purus. Curabitur dignissim justo ut massa viverra, quis gravida ante feugiat. Phasellus vel enim eget elit rutrum interdum. Nunc est dolor, sollicitudin scelerisque varius ornare, mattis sit amet purus. Ut tellus justo, gravida rhoncus dolor at, feugiat tincidunt massa. Morbi gravida iaculis diam. Suspendisse vel magna commodo, efficitur arcu non, tempus lacus. \n                          </div>\n                          <div class=\"modal-footer\">\n                            <ngb-button [clss]=\"['btn', 'btn-secondary']\" (clck)=\"scrollModal.tgle()\" >Close</ngb-button>\n                            <ngb-button [clss]=\"['btn', 'btn-primary']\" class=\"ngb-btn-spce\">Save changes</ngb-button>\n\n                          </div>\n                    </ngb-modal>\n                </div>\n            </div>\n        </div>\n        <div class=\"card-footer\">\n            <code>\n                &lt;ngb-button <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"['btn', 'btn-primary']\"</span> <span class=\"ngb-dcmt-drtv\">(clck)</span>=\"centerModal.tgle()\"&gt;<span class=\"ngb-dcmt-ttle\">Launch centered modal</span>&lt;/ngb-button&gt;\n                <br><br>\n                &lt;ngb-modal <span class=\"ngb-dcmt-drtv-vlue\">#centerModal </span> <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"['modal-dialog-centered']\"</span>&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"modal-header\"</span>&gt;<br>\n                &lt;h5 <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"modal-title\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Center modal</span>&lt;/h5&gt;<br>\n                &lt;ngb-button <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"['btn-close']\"</span> <span class=\"ngb-dcmt-drtv\">(clck)</span>=\"centerModal.tgle()\"&gt;<br>\n                &lt;/ngb-button&gt;<br>\n                &lt;/div&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"modal-body\"</span>&gt;<span class=\"ngb-dcmt-ttle\"> ...</span>&lt;/div&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"modal-footer\"</span>&gt;<br>\n                &lt;ngb-button <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"['btn', 'btn-secondary']\"</span> <span class=\"ngb-dcmt-drtv\">(clck)</span>=\"centerModal.tgle()\" &gt;<span class=\"ngb-dcmt-ttle\">Close</span>&lt;/ngb-button&gt;<br>\n                &lt;ngb-button <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"['btn', 'btn-primary']\"</span> <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"ngb-btn-spce\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Save changes</span>&lt;/ngb-button&gt;<br>\n                &lt;/div&gt;<br>\n                &lt;/ngb-modal&gt;\n            <br>\n        </code>\n            <hr>\n            <code>\n                &lt;ngb-button <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"['btn', 'btn-primary']\"</span> <span class=\"ngb-dcmt-drtv\">(clck)</span>=\"scrollModal.tgle()\"&gt;<span class=\"ngb-dcmt-ttle\">Launch scrollable modal</span>&lt;/ngb-button&gt;\n                <br><br>\n                &lt;ngb-modal <span class=\"ngb-dcmt-drtv-vlue\">#scrollModal </span> <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"['modal-dialog-scrollable']\"</span>&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"modal-header\"</span>&gt;<br>\n                &lt;h5 <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"modal-title\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Modal title</span>&lt;/h5&gt;<br>\n                &lt;ngb-button <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"['btn-close']\"</span> <span class=\"ngb-dcmt-drtv\">(clck)</span>=\"scrollModal.tgle()\"&gt;<br>\n                &lt;/ngb-button&gt;<br>\n                &lt;/div&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"modal-body\"</span>&gt;Lorem ipsum dolor sit amet... &lt;/div&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"modal-footer\"</span>&gt;<br>\n                &lt;ngb-button <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"['btn', 'btn-secondary']\"</span> <span class=\"ngb-dcmt-drtv\">(clck)</span>=\"scrollModal.tgle()\" &gt;<span class=\"ngb-dcmt-ttle\">Close</span>&lt;/ngb-button&gt;<br>\n                &lt;ngb-button <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"['btn', 'btn-primary']\"</span> <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"ngb-btn-spce\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Save changes</span>&lt;/ngb-button&gt;<br>\n                &lt;/div&gt;<br>\n                &lt;/ngb-modal&gt;\n                <br>\n            </code>\n          \n        </div>\n    </ngb-card>\n</div>\n<!-- #end modal scrolleable-->\n\n<br>\n\n<!-- modal tama\u00F1os -->\n<div class=\"row\">\n    <ngb-card>\n        <div class=\"card-body\">\n            <h5 class=\"card-title\"> modal centrado y scroll en modal</h5>\n            <div class=\"row g-2\">\n                <div class=\"col\">\n                    \n                    <ngb-button [clss]=\"['btn', 'btn-primary']\" (clck)=\"xlModal.tgle()\">Extra large modal</ngb-button>\n                    <ngb-button [clss]=\"['btn', 'btn-primary']\" (clck)=\"lgModal.tgle()\" class=\"ngb-btn-spce\">Large modal</ngb-button>\n                    <ngb-button [clss]=\"['btn', 'btn-primary']\" (clck)=\"smModal.tgle()\" class=\"ngb-btn-spce\">Small modal</ngb-button>\n                   \n                    \n                    <ngb-button [clss]=\"['btn', 'btn-primary']\" (clck)=\"fxModal.tgle()\" class=\"ngb-btn-spce\">Full screen modal</ngb-button>\n\n                    <!-- modal xl -->\n                    <ngb-modal #xlModal [clss]=\"['modal-xl']\">\n                        <div class=\"modal-header\">\n                            <h5 class=\"modal-title\">Extra large modal</h5>\n                            <ngb-button [clss]=\"['btn-close']\" (clck)=\"xlModal.tgle()\"></ngb-button>\n                          </div>\n                          <div class=\"modal-body\">\n                           ...\n                          </div>\n                          <div class=\"modal-footer\">\n                            <ngb-button [clss]=\"['btn', 'btn-secondary']\" (clck)=\"xlModal.tgle()\" >Close</ngb-button>\n                            <ngb-button [clss]=\"['btn', 'btn-primary']\" class=\"ngb-btn-spce\">Save changes</ngb-button>\n\n                          </div>\n                    </ngb-modal>\n\n\n                    <!-- modal lg -->\n                    <ngb-modal #lgModal [clss]=\"['modal-lg']\">\n                        <div class=\"modal-header\">\n                            <h5 class=\"modal-title\">Large modal</h5>\n                            <ngb-button [clss]=\"['btn-close']\" (clck)=\"lgModal.tgle()\"></ngb-button>\n                          </div>\n                          <div class=\"modal-body\">\n                           ...\n                          </div>\n                          <div class=\"modal-footer\">\n                            <ngb-button [clss]=\"['btn', 'btn-secondary']\" (clck)=\"lgModal.tgle()\" >Close</ngb-button>\n                            <ngb-button [clss]=\"['btn', 'btn-primary']\" class=\"ngb-btn-spce\">Save changes</ngb-button>\n\n                          </div>\n                    </ngb-modal>\n\n\n                    <!-- modal sm -->\n                    <ngb-modal #smModal [clss]=\"['modal-sm']\">\n                        <div class=\"modal-header\">\n                            <h5 class=\"modal-title\">Small modal</h5>\n                            <ngb-button [clss]=\"['btn-close']\" (clck)=\"smModal.tgle()\"></ngb-button>\n                          </div>\n                          <div class=\"modal-body\">\n                           ...\n                          </div>\n                          <div class=\"modal-footer\">\n                            <ngb-button [clss]=\"['btn', 'btn-secondary']\" (clck)=\"smModal.tgle()\" >Close</ngb-button>\n                            <ngb-button [clss]=\"['btn', 'btn-primary']\" class=\"ngb-btn-spce\">Save changes</ngb-button>\n\n                          </div>\n                    </ngb-modal>\n\n\n                    <!-- modal fx -->\n                    <ngb-modal #fxModal [clss]=\"['modal-fullscreen']\">\n                        <div class=\"modal-header\">\n                            <h5 class=\"modal-title\">Full screen modal</h5>\n                            <ngb-button [clss]=\"['btn-close']\" (clck)=\"fxModal.tgle()\"></ngb-button>\n                          </div>\n                          <div class=\"modal-body\">\n                           ...\n                          </div>\n                          <div class=\"modal-footer\">\n                            <ngb-button [clss]=\"['btn', 'btn-secondary']\" (clck)=\"fxModal.tgle()\" >Close</ngb-button>\n                            <ngb-button [clss]=\"['btn', 'btn-primary']\" class=\"ngb-btn-spce\">Save changes</ngb-button>\n\n                          </div>\n                    </ngb-modal>\n    \n                </div>\n            </div>\n        </div>\n        <div class=\"card-footer\">\n            <code>\n                &lt;ngb-button <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"['btn', 'btn-primary']\"</span> <span class=\"ngb-dcmt-drtv\">(clck)</span>=\"xlModal.tgle()\"&gt;<span class=\"ngb-dcmt-ttle\">Extra large modal</span>&lt;/ngb-button&gt;\n                <br><br>\n                &lt;ngb-modal <span class=\"ngb-dcmt-drtv-vlue\">#xlModal </span> <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"['modal-xl']\"</span>&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"modal-header\"</span>&gt;<br>\n                &lt;h5 <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"modal-title\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Extra large modal</span>&lt;/h5&gt;<br>\n                &lt;ngb-button <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"['btn-close']\"</span> <span class=\"ngb-dcmt-drtv\">(clck)</span>=\"xlModal.tgle()\"&gt;<br>\n                &lt;/ngb-button&gt;<br>\n                &lt;/div&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"modal-body\"</span>&gt;<span class=\"ngb-dcmt-ttle\"> ...</span>&lt;/div&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"modal-footer\"</span>&gt;<br>\n                &lt;ngb-button <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"['btn', 'btn-secondary']\"</span> <span class=\"ngb-dcmt-drtv\">(clck)</span>=\"xlModal.tgle()\" &gt;<span class=\"ngb-dcmt-ttle\">Close</span>&lt;/ngb-button&gt;<br>\n                &lt;ngb-button <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"['btn', 'btn-primary']\"</span> <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"ngb-btn-spce\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Save changes</span>&lt;/ngb-button&gt;<br>\n                &lt;/div&gt;<br>\n                &lt;/ngb-modal&gt;\n            <br>\n        </code>\n            <hr>\n            <code>\n                &lt;ngb-button <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"['btn', 'btn-primary']\"</span> <span class=\"ngb-dcmt-drtv\">(clck)</span>=\"lgModal.tgle()\"&gt;<span class=\"ngb-dcmt-ttle\">Large modal</span>&lt;/ngb-button&gt;\n                <br><br>\n                &lt;ngb-modal <span class=\"ngb-dcmt-drtv-vlue\">#lgModal </span> <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"['modal-lg']\"</span>&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"modal-header\"</span>&gt;<br>\n                &lt;h5 <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"modal-title\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Large modal</span>&lt;/h5&gt;<br>\n                &lt;ngb-button <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"['btn-close']\"</span> <span class=\"ngb-dcmt-drtv\">(clck)</span>=\"lgModal.tgle()\"&gt;<br>\n                &lt;/ngb-button&gt;<br>\n                &lt;/div&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"modal-body\"</span>&gt;<span class=\"ngb-dcmt-ttle\"> ...</span>&lt;/div&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"modal-footer\"</span>&gt;<br>\n                &lt;ngb-button <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"['btn', 'btn-secondary']\"</span> <span class=\"ngb-dcmt-drtv\">(clck)</span>=\"lgModal.tgle()\" &gt;<span class=\"ngb-dcmt-ttle\">Close</span>&lt;/ngb-button&gt;<br>\n                &lt;ngb-button <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"['btn', 'btn-primary']\"</span> <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"ngb-btn-spce\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Save changes</span>&lt;/ngb-button&gt;<br>\n                &lt;/div&gt;<br>\n                &lt;/ngb-modal&gt;\n                <br>\n            </code>\n            <hr>\n            <code>\n                &lt;ngb-button <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"['btn', 'btn-primary']\"</span> <span class=\"ngb-dcmt-drtv\">(clck)</span>=\"smModal.tgle()\"&gt;<span class=\"ngb-dcmt-ttle\">Small modal</span>&lt;/ngb-button&gt;\n                <br><br>\n                &lt;ngb-modal <span class=\"ngb-dcmt-drtv-vlue\">#smModal </span> <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"['modal-sm']\"</span>&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"modal-header\"</span>&gt;<br>\n                &lt;h5 <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"modal-title\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Small modal</span>&lt;/h5&gt;<br>\n                &lt;ngb-button <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"['btn-close']\"</span> <span class=\"ngb-dcmt-drtv\">(clck)</span>=\"smModal.tgle()\"&gt;<br>\n                &lt;/ngb-button&gt;<br>\n                &lt;/div&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"modal-body\"</span>&gt;<span class=\"ngb-dcmt-ttle\"> ...</span>&lt;/div&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"modal-footer\"</span>&gt;<br>\n                &lt;ngb-button <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"['btn', 'btn-secondary']\"</span> <span class=\"ngb-dcmt-drtv\">(clck)</span>=\"smModal.tgle()\" &gt;<span class=\"ngb-dcmt-ttle\">Close</span>&lt;/ngb-button&gt;<br>\n                &lt;ngb-button <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"['btn', 'btn-primary']\"</span> <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"ngb-btn-spce\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Save changes</span>&lt;/ngb-button&gt;<br>\n                &lt;/div&gt;<br>\n                &lt;/ngb-modal&gt;\n                <br>\n            </code>\n            <hr>\n            <code>\n                &lt;ngb-button <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"['btn', 'btn-primary']\"</span> <span class=\"ngb-dcmt-drtv\">(clck)</span>=\"fxModal.tgle()\"&gt;<span class=\"ngb-dcmt-ttle\">Full screen modal</span>&lt;/ngb-button&gt;\n                <br><br>\n                &lt;ngb-modal <span class=\"ngb-dcmt-drtv-vlue\">#fxModal </span> <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"['modal-fullscreen']\"</span>&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"modal-header\"</span>&gt;<br>\n                &lt;h5 <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"modal-title\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Full screen modal</span>&lt;/h5&gt;<br>\n                &lt;ngb-button <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"['btn-close']\"</span> <span class=\"ngb-dcmt-drtv\">(clck)</span>=\"fxModal.tgle()\"&gt;<br>\n                &lt;/ngb-button&gt;<br>\n                &lt;/div&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"modal-body\"</span>&gt;<span class=\"ngb-dcmt-ttle\"> ...</span>&lt;/div&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"modal-footer\"</span>&gt;<br>\n                &lt;ngb-button <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"['btn', 'btn-secondary']\"</span> <span class=\"ngb-dcmt-drtv\">(clck)</span>=\"fxModal.tgle()\" &gt;<span class=\"ngb-dcmt-ttle\">Close</span>&lt;/ngb-button&gt;<br>\n                &lt;ngb-button <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"['btn', 'btn-primary']\"</span> <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"ngb-btn-spce\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Save changes</span>&lt;/ngb-button&gt;<br>\n                &lt;/div&gt;<br>\n                &lt;/ngb-modal&gt;\n                <br>\n            </code>\n          \n        </div>\n    </ngb-card>\n</div>\n<!-- #end modal tama\u00F1os -->", styles: ["\n\n  "], components: [{ type: CardComponent, selector: "ngb-card", inputs: ["clss"] }, { type: ButtonComponent, selector: "ngb-button", inputs: ["clss", "dsbl"], outputs: ["clck"] }, { type: ModalComponent, selector: "ngb-modal", inputs: ["clss"], outputs: ["stte"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.1.4", ngImport: i0, type: ModalPageComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ngb-modal-page',
                    templateUrl: './modal.page.html',
                    styles: [`

  `]
                }]
        }], ctorParameters: function () { return []; } });

class ButtonPageComponent {
    constructor() {
        this.bttnXmpl = [
            { sltr: "ngb-button", clss: "['btn', 'btn-primary']", vlue: "Primary" },
            { sltr: "ngb-button", clss: "['btn', 'btn-secondary', 'mx-2']", vlue: "Secondary" },
            { sltr: "ngb-button", clss: "['btn', 'btn-success', 'mx-2']", vlue: "Success" },
            { sltr: "ngb-button", clss: "['btn', 'btn-danger', 'mx-2']", vlue: "Danger" },
            { sltr: "ngb-button", clss: "['btn', 'btn-warning', 'mx-2']", vlue: "Warning" },
            { sltr: "ngb-button", clss: "['btn', 'btn-info', 'mx-2']", vlue: "Info" },
            { sltr: "ngb-button", clss: "['btn', 'btn-light', 'mx-2']", vlue: "Light" },
            { sltr: "ngb-button", clss: "['btn', 'btn-dark', 'mx-2']", vlue: "Dark" },
            { sltr: "ngb-button", clss: "['btn', 'btn-link', 'mx-2']", vlue: "Link" },
        ];
        this.bttnOtln = [
            { sltr: "ngb-button", clss: "['btn', 'btn-outline-primary']", vlue: "Primary" },
            { sltr: "ngb-button", clss: "['btn', 'btn-outline-secondary', 'mx-2']", vlue: "Secondary" },
            { sltr: "ngb-button", clss: "['btn', 'btn-outline-success', 'mx-2']", vlue: "Success" },
            { sltr: "ngb-button", clss: "['btn', 'btn-outline-danger', 'mx-2']", vlue: "Danger" },
            { sltr: "ngb-button", clss: "['btn', 'btn-outline-warning', 'mx-2']", vlue: "Warning" },
            { sltr: "ngb-button", clss: "['btn', 'btn-outline-info', 'mx-2']", vlue: "Info" },
            { sltr: "ngb-button", clss: "['btn', 'btn-outline-light', 'mx-2']", vlue: "Light" },
            { sltr: "ngb-button", clss: "['btn', 'btn-outline-dark', 'mx-2']", vlue: "Dark" },
        ];
        this.bttnSize = [
            { sltr: "ngb-button", clss: "['btn', 'btn-primary', 'btn-sm']", vlue: "Small button" },
            { sltr: "ngb-button", clss: "['btn', 'btn-secondary', 'btn-sm', 'mx-2']", vlue: "Small button" },
            { sltr: "ngb-button", clss: "['btn', 'btn-primary', 'btn-lg', 'mx-2']", vlue: "Large button" },
            { sltr: "ngb-button", clss: "['btn', 'btn-secondary', 'btn-lg', 'mx-2']", vlue: "Large button" },
        ];
        this.bttnDsbl = [
            { sltr: "ngb-button", clss: "['btn', 'btn-primary', 'btn-lg']", vlue: "Disabled button" },
            { sltr: "ngb-button", clss: "['btn', 'btn-secondary', 'btn-lg', 'mx-2']", vlue: "Disabled button" },
        ];
    }
    ngOnInit() {
    }
}
ButtonPageComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.1.4", ngImport: i0, type: ButtonPageComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
ButtonPageComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.1.4", type: ButtonPageComponent, selector: "ngb-button-page", ngImport: i0, template: "<!-- \n    Los botones admiten un conjunto de clases que le dan personalizaci\u00F3n, las clases admitidas son las mismas que se utilizan en **Bootstrap**\n    -->\n    <div class=\"row text-left\">\n        <h2>Buttons</h2>\n        <hr>\n    </div>\n    <!-- botones Ejemplo -->\n    <div class=\"row\">\n        <ngb-card>\n            <div class=\"card-body\">\n                <h5 class=\"card-title\">Ejemplos</h5>\n                <div class=\"row \">\n                    <div class=\"col-lg-12\">\n                        <ngb-button [clss]=\"['btn', 'btn-primary']\">Primary</ngb-button>\n                        <ngb-button [clss]=\"['btn', 'btn-secondary', 'mx-2']\" class=\"\">Secondary</ngb-button>\n                        <ngb-button [clss]=\"['btn', 'btn-success', 'mx-2']\" >Success</ngb-button>\n                        <ngb-button [clss]=\"['btn', 'btn-danger', 'mx-2']\" >Danger</ngb-button>\n                        <ngb-button [clss]=\"['btn', 'btn-warning', 'mx-2']\" >Warning</ngb-button>\n                        <ngb-button [clss]=\"['btn', 'btn-info', 'mx-2']\" >Info</ngb-button>\n                        <ngb-button [clss]=\"['btn', 'btn-light', 'mx-2']\" >Light</ngb-button>\n                        <ngb-button [clss]=\"['btn', 'btn-dark', 'mx-2']\" >Dark</ngb-button>\n                        <ngb-button [clss]=\"['btn', 'btn-link', 'mx-2']\" >Link</ngb-button>\n                    </div>\n    \n                </div>\n            </div>\n            <div class=\"card-footer\">\n    \n                <code *ngFor=\"let bttn of bttnXmpl\">&lt;{{ bttn.sltr }}\n                    <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"{{ bttn.clss }}\"</span> &gt;<span class=\"ngb-dcmt-ttle\"> {{ bttn.vlue }}</span> &lt;/{{ bttn.sltr }}&gt;\n                    <br>\n                </code>\n            </div>\n        </ngb-card>\n    </div>\n    <!-- #end botones ejemplo -->\n    <br>\n    <!-- botones outlines -->\n    <div class=\"row\">\n        <ngb-card>\n            <div class=\"card-body\">\n                <h5 class=\"card-title\">Botones Outlines</h5>\n                <div class=\"row \">\n                    <div class=\"col-lg-12\">\n                        <ngb-button [clss]=\"['btn', 'btn-outline-primary', 'mx-2']\">Primary</ngb-button>\n                        <ngb-button [clss]=\"['btn', 'btn-outline-secondary', 'mx-2']\" >Secondary</ngb-button>\n                        <ngb-button [clss]=\"['btn', 'btn-outline-success', 'mx-2']\" >Success</ngb-button>\n                        <ngb-button [clss]=\"['btn', 'btn-outline-danger', 'mx-2']\" >Danger</ngb-button>\n                        <ngb-button [clss]=\"['btn', 'btn-outline-warning', 'mx-2']\" >Warning</ngb-button>\n                        <ngb-button [clss]=\"['btn', 'btn-outline-info', 'mx-2']\" >Info</ngb-button>\n                        <ngb-button [clss]=\"['btn', 'btn-outline-light', 'mx-2']\" >Light</ngb-button>\n                        <ngb-button [clss]=\"['btn', 'btn-outline-dark', 'mx-2']\" >Dark</ngb-button>\n                    </div>\n    \n                </div>\n            </div>\n            <div class=\"card-footer\">\n                <code *ngFor=\"let bttn of bttnOtln\">&lt;{{ bttn.sltr }}\n                <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"{{ bttn.clss }}\"</span> &gt;<span class=\"ngb-dcmt-ttle\"> {{ bttn.vlue }}</span> &lt;/{{ bttn.sltr }}&gt;\n                <br>\n            </code>\n            </div>\n        </ngb-card>\n    </div>\n    <!-- #end botones outlines-->\n    <br>\n    \n    \n    <!-- botones sizes -->\n    <div class=\"row\">\n        <ngb-card>\n            <div class=\"card-body\">\n                <h5 class=\"card-title\">Botones Tama\u00F1os y Disabled</h5>\n                <div class=\"row\">\n                    <div class=\"col-lg-12\" style=\"display: flex; align-items: flex-end;\">\n                        <ngb-button [clss]=\"['btn', 'btn-primary', 'btn-sm']\">Small button</ngb-button>\n                        <ngb-button [clss]=\"['btn', 'btn-secondary', 'btn-sm', 'mx-2']\" >Small button\n                        </ngb-button>\n                        <ngb-button [clss]=\"['btn', 'btn-primary', 'btn-lg', 'mx-2']\" >Large button\n                        </ngb-button>\n                        <ngb-button [clss]=\"['btn', 'btn-secondary', 'btn-lg', 'mx-2']\" >Large button\n                        </ngb-button>\n                        <ngb-button [clss]=\"['btn', 'btn-lg', 'btn-primary', 'mx-2']\" [dsbl]=\"true\" >Disabled\n                        </ngb-button>\n                        <ngb-button [clss]=\"['btn', 'btn-secondary', 'btn-lg', 'mx-2']\" [dsbl]=\"true\" >\n                            Disabled</ngb-button>\n                    </div>\n    \n                </div>\n            </div>\n            <div class=\"card-footer\">\n                <code *ngFor=\"let bttn of bttnSize\">&lt;{{ bttn.sltr }}\n                <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"{{ bttn.clss }}\"</span> &gt;\n                <span class=\"ngb-dcmt-ttle\"> {{ bttn.vlue }}</span> &lt;/{{ bttn.sltr }}&gt;\n                <br></code>\n                <code *ngFor=\"let bttn of bttnDsbl\">&lt;{{ bttn.sltr }}\n                    <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"{{ bttn.clss }}\"</span> <span class=\"ngb-dcmt-drtv\"> [dsbl]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"true\"</span> &gt;\n                    <span class=\"ngb-dcmt-ttle\"> {{ bttn.vlue }}</span> &lt;/{{ bttn.sltr }}&gt;\n                    <br>\n                </code>\n            </div>\n        </ngb-card>\n    </div>\n    <!-- #end botones sizes-->\n", styles: ["\n\n  "], components: [{ type: CardComponent, selector: "ngb-card", inputs: ["clss"] }, { type: ButtonComponent, selector: "ngb-button", inputs: ["clss", "dsbl"], outputs: ["clck"] }], directives: [{ type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.1.4", ngImport: i0, type: ButtonPageComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ngb-button-page',
                    templateUrl: './button.page.html',
                    styles: [`

  `]
                }]
        }], ctorParameters: function () { return []; } });

class CardPageComponent {
    constructor() { }
    ngOnInit() {
    }
}
CardPageComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.1.4", ngImport: i0, type: CardPageComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
CardPageComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.1.4", type: CardPageComponent, selector: "ngb-card-page", ngImport: i0, template: "<!--\n    About\nA card is a flexible and extensible content container. \nIt includes options for headers and footers, a wide variety of content, contextual background colors, and powerful display options. \nIf you\u2019re familiar with Bootstrap 3, cards replace our old panels, wells, and thumbnails. \nSimilar functionality to those components is available as modifier classes for cards.\n-->\n<div class=\"row text-left\">\n    <h2>Cards</h2>\n    <hr>\n</div>\n\n<!-- card header, footer, title, subtitle and text-->\n<div class=\"row\">\n    <ngb-card>\n        <div class=\"card-body\">\n            <h5 class=\"card-title\">Ejemplos: titulos, subtitulos, links, header, footer, list</h5>\n            <div class=\"row g-2\">\n                <div class=\"col\">\n                    <ngb-card>\n                        <div class=\"card-body\">\n                            <h5 class=\"card-title\">Card title</h5>\n                            <h6 class=\"card-subtitle mb-2 text-muted\">Card subtitle</h6>\n                            <p class=\"card-text\">Some quick example text to build on the card title and make up the bulk\n                                of the card's content.</p>\n                            <a href=\"#\" class=\"card-link\">Card link</a>\n                            <a href=\"#\" class=\"card-link\">Another link</a>\n                        </div>\n                    </ngb-card>\n                </div>\n                <div class=\"col\">\n                    <ngb-card>\n                        <div class=\"card-header\">\n                            Featured\n                        </div>\n                        <div class=\"card-body\" style=\"height: 5.8rem;\">\n\n                            <h6 class=\"card-subtitle mb-2 text-muted\">Card subtitle</h6>\n                            <p class=\"card-text\">Some quick example t.</p>\n\n                        </div>\n                        <div class=\"card-footer\">\n                            Card footer\n                        </div>\n                    </ngb-card>\n                </div>\n                <div class=\"col\">\n                    <ngb-card>\n                        <div class=\"card-body\" style=\"height: 11rem;\">\n                            <ul class=\"list-group list-group-flush\">\n                                <li class=\"list-group-item\">An item</li>\n                                <li class=\"list-group-item\">A second item</li>\n                                <li class=\"list-group-item\">A third item</li>\n                            </ul>\n                        </div>\n                    </ngb-card>\n                </div>\n            </div>\n        </div>\n        <div class=\"card-footer\">\n            <code>&lt;ngb-card&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-body\"</span>&gt;<br>\n                &lt;h5 <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-title\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Card title</span>&lt;/h5&gt;<br>\n                &lt;h6 <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-subtitle mb-2 text-muted\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Card subtitle</span>&lt;/h6&gt;<br>\n                &lt;p <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-text\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Some quick example t.</span>&lt;/p&gt;<br>\n                &lt;a href=\"#\" <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-link\"</span>&gt;<span class=\"ngb-dcmt-drtv-vlue\">Card link</span>&lt;/a&gt;<br>\n                &lt;a href=\"#\" <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-link\"</span>&gt;<span class=\"ngb-dcmt-drtv-vlue\">Another link</span>&lt;/a&gt;<br>\n                &lt;/div&gt;<br>\n                &lt;/ngb-card&gt;     \n            <br></code>\n            <hr>\n            <code>&lt;ngb-card&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-header\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Featured</span> &lt;/div&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-body\"</span>&gt;<br>\n                &lt;h6 <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-subtitle mb-2 text-muted\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Card subtitle</span>&lt;/h6&gt;<br>\n                &lt;p <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-text\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Some quick example text to build on the card title and make up the bulk of the card's content.</span>&lt;/p&gt;<br>\n                &lt;/div&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-footer\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Card footer</span> &lt;/div&gt;<br>\n                &lt;/ngb-card&gt;     \n            <br></code>\n            <hr>\n            <code>&lt;ngb-card&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-body\"</span>&gt;<br>\n                &lt;li <span class=\"ngb-dcmt-drtv\">class</span><span class=\"ngb-dcmt-drtv-vlue\">\"list-group-item\"</span>&gt;<span class=\"ngb-dcmt-ttle\">An item</span>&lt;/li&gt;<br>\n                &lt;li <span class=\"ngb-dcmt-drtv\">class</span><span class=\"ngb-dcmt-drtv-vlue\">\"list-group-item\"</span>&gt;<span class=\"ngb-dcmt-ttle\">A second item</span>&lt;/li&gt;<br>\n                &lt;li <span class=\"ngb-dcmt-drtv\">class</span><span class=\"ngb-dcmt-drtv-vlue\">\"list-group-item\"</span>&gt;<span class=\"ngb-dcmt-ttle\">A third item</span>&lt;/li&gt;<br>\n                &lt;/div&gt;<br>\n                \n                &lt;/ngb-card&gt;     \n            <br></code>\n        </div>\n    </ngb-card>\n</div>\n<!-- #end card header, footer, title, subtitle and text-->\n\n<br>\n<!-- card images-->\n<div class=\"row\">\n    <ngb-card>\n        <div class=\"card-body\">\n            <h5 class=\"card-title\">Imagenes en card</h5>\n            <div class=\"row g-2\">\n                <div class=\"col-4\">\n                    <ngb-card>\n                        <img src=\"https://raw.githubusercontent.com/hectorcrispens/anglBstpUI/master/angl-bstp-ui/src/assets/imag/imag02.jpg\"\n                            class=\"card-img-top\" alt=\"...\">\n                        <div class=\"card-body\">\n                            <h5 class=\"card-title\">Card title</h5>\n                            <p class=\"card-text\">This is a wider card with supporting text below as a natural lead-in to\n                                additional content. This content is a little bit longer.</p>\n                            <p class=\"card-text\"><small class=\"text-muted\">Last updated 3 mins ago</small></p>\n                        </div>\n                    </ngb-card>\n                </div>\n                <div class=\"col-4\">\n                    <ngb-card>\n                        <div class=\"card-body\">\n                            <h5 class=\"card-title\">Card title</h5>\n                            <p class=\"card-text\">This is a wider card with supporting text below as a natural lead-in to\n                                additional content. This content is a little bit longer.</p>\n                            <p class=\"card-text\"><small class=\"text-muted\">Last updated 3 mins ago</small></p>\n                        </div>\n                        <img src=\"https://raw.githubusercontent.com/hectorcrispens/anglBstpUI/master/angl-bstp-ui/src/assets/imag/imag02.jpg\"\n                            class=\"card-img-bottom\" alt=\"...\">\n                    </ngb-card>\n                </div>\n                <div class=\"col-4\">\n                    <ngb-card [clss]=\"['bg-dark', 'text-white']\">\n                        <img src=\"https://raw.githubusercontent.com/hectorcrispens/anglBstpUI/master/angl-bstp-ui/src/assets/imag/imag01.jpg\"\n                            class=\"card-img\" alt=\"...\">\n                        <div class=\"card-img-overlay\">\n                            <h5 class=\"card-title\">Card title</h5>\n                            <p class=\"card-text\">This is a wider card with supporting text below as a natural lead-in to\n                                additional content. This content is a little bit longer.</p>\n                            <p class=\"card-text\">Last updated 3 mins ago</p>\n                        </div>\n                    </ngb-card>\n                </div>\n            </div>\n        </div>\n        <div class=\"card-footer\">\n            <code>\n                &lt;ngb-card&gt;<br>\n                &lt;img <span class=\"ngb-dcmt-drtv\">src</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"imag02.jpg\" </span> <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-img-top\"</span> <span class=\"ngb-dcmt-drtv\">alt</span>=\"...\"&gt;\n                <br>&lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-body\"</span>&gt;\n                <br>&lt;h5 <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-title\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Card title</span>&lt;/h5&gt;<br>\n                &lt;p <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-text\"</span>&gt;<span class=\"ngb-dcmt-ttle\">This is a wider card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.</span>&lt;/p&gt;<br>\n                &lt;p <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-text\"</span>&gt;<br>\n                &lt;small <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"text-muted\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Last updated 3 mins ago</span>&lt;/small&gt;<br>\n                &lt;/p&gt;<br>\n                &lt;/div&gt;<br>\n                &lt;/ngb-card&gt;\n            <br></code>\n            <hr>\n            <code>\n                &lt;ngb-card&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-body\"</span>&gt;<br>\n                &lt;h5 <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-title\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Card title</span>&lt;/h5&gt;<br>\n                &lt;p <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-text\"</span>&gt;<span class=\"ngb-dcmt-ttle\">This is a wider card with supporting text below as a natural lead-in toadditional content. This content is a little bit longer.</span>&lt;/p&gt;<br>\n                &lt;p <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-text\"</span>&gt;<br>\n                &lt;small <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"text-muted\"</span>&gt;Last updated 3 mins ago&lt;/small&gt;<br>\n                &lt;/p&gt;<br>\n                &lt;/div&gt;<br>\n                &lt;img <span class=\"ngb-dcmt-drtv\">src</span>=\"imag02.jpg\" <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-img-bottom\"</span> <span class=\"ngb-dcmt-drtv\">alt</span>=\"...\"&gt;<br>\n                &lt;/ngb-card&gt;\n            <br></code>\n            <hr>\n            <code>\n                &lt;ngb-card  <span class=\"ngb-dcmt-drtv\">[clss]</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"[bg-dark, text-white]\"</span>&gt;<br>\n                &lt;img <span class=\"ngb-dcmt-drtv\">src</span>=\"imag01.jpg\" <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-img\"</span> <span class=\"ngb-dcmt-drtv\">alt</span>=\"...\"&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-img-overlay\"</span>&gt;<br>\n                &lt;h5 <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-title\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Card title</span>&lt;/h5&gt;<br>\n                &lt;p <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-text\"</span>&gt;<span class=\"ngb-dcmt-ttle\">This is a wider card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.</span>&lt;/p&gt;<br>\n                &lt;p <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-text\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Last updated 3 mins ago</span>&lt;/p&gt;<br>\n                &lt;/div&gt;<br>\n                &lt;/ngb-card&gt;\n            <br></code>\n        </div>\n    </ngb-card>\n</div>\n<!-- #end card images-->\n<br>\n<!-- card images left right-->\n<div class=\"row\">\n    <ngb-card>\n        <div class=\"card-body\">\n            <h5 class=\"card-title\">Imagenes laterales</h5>\n            <div class=\"row g-2\">\n                <div class=\"col-6\">\n                    <ngb-card>\n                        <div class=\"row g-0\">\n                            <div class=\"col-md-4\">\n                              <img style=\"width: 100%; height: 100%;\" src=\"https://raw.githubusercontent.com/hectorcrispens/anglBstpUI/master/angl-bstp-ui/src/assets/imag/imag06.jpg\" class=\"img-fluid rounded-start\" alt=\"...\">\n                            </div>\n                            <div class=\"col-md-8\">\n                              <div class=\"card-body\">\n                                <h5 class=\"card-title\">Card title</h5>\n                                <p class=\"card-text\">This is a wider card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.</p>\n                                <p class=\"card-text\"><small class=\"text-muted\">Last updated 3 mins ago</small></p>\n                              </div>\n                            </div>\n                          </div>\n                    </ngb-card>\n                </div>\n                <div class=\"col-6\">\n                    <ngb-card>\n                        <div class=\"row g-0\">\n\n                            <div class=\"col-md-8\">\n                              <div class=\"card-body\">\n                                <h5 class=\"card-title\">Card title</h5>\n                                <p class=\"card-text\">This is a wider card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.</p>\n                                <p class=\"card-text\"><small class=\"text-muted\">Last updated 3 mins ago</small></p>\n                              </div>\n                            </div>\n                            <div class=\"col-md-4\">\n                                <img style=\"width: 100%; height: 100%;\" src=\"https://raw.githubusercontent.com/hectorcrispens/anglBstpUI/master/angl-bstp-ui/src/assets/imag/imag03.jpg\" class=\"img-fluid rounded-start\" alt=\"...\">\n                              </div>\n                          </div>\n                    </ngb-card>\n                </div>\n               \n            </div>\n        </div>\n        <div class=\"card-footer\">\n            <code>\n                &lt;ngb-card&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"row g-0\"</span>&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"col-md-4\"</span>&gt;<br>\n                &lt;img <span class=\"ngb-dcmt-drtv\">style</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"width: 100%; height: 100%;\"</span> <span class=\"ngb-dcmt-drtv\">src</span>=\"imag06.jpg\" <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"img-fluid rounded-start\"</span> <span class=\"ngb-dcmt-drtv\">alt</span>=\"...\"&gt;<br>\n                &lt;/div&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"col-md-8\"</span>&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-body\"</span>&gt;<br>\n                &lt;h5 <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-title\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Card title</span>&lt;/h5&gt;<br>\n                &lt;p <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-text\"</span>&gt;<span class=\"ngb-dcmt-ttle\">This is a wider card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.</span>&lt;/p&gt;<br>\n                &lt;p <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-text\"</span>&gt;<br>\n                &lt;small <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"text-muted\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Last updated 3 mins ago</span>&lt;/small&gt;<br>\n                &lt;/p&gt;<br>\n                &lt;/div&gt;<br>\n                &lt;/div&gt;<br>\n                &lt;/div&gt;<br>\n                &lt;/ngb-card&gt;\n            <br></code>\n            <hr>\n            <code>\n                &lt;ngb-card&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"row g-0\"</span>&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"col-md-8\"</span>&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-body\"</span>&gt;<br>\n                &lt;h5 <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-title\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Card title</span>&lt;/h5&gt;<br>\n                &lt;p <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-text\"</span>&gt;<span class=\"ngb-dcmt-ttle\">This is a wider card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.</span>&lt;/p&gt;<br>\n                &lt;p <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-text\"</span>&gt;<br>\n                &lt;small <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"text-muted\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Last updated 3 mins ago</span>&lt;/small&gt;<br>\n                &lt;/p&gt;<br>\n                &lt;/div&gt;<br>\n                &lt;/div&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"col-md-4\"</span>&gt;<br>\n                &lt;img <span class=\"ngb-dcmt-drtv\">style</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"width: 100%; height: 100%;\"</span> <span class=\"ngb-dcmt-drtv\">src</span>=\"imag03.jpg\" <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"img-fluid rounded-start\"</span> <span class=\"ngb-dcmt-drtv\">alt</span>=\"...\"&gt;<br>\n                &lt;/div&gt;<br>\n                &lt;/div&gt;<br>\n                &lt;/ngb-card&gt;\n            <br></code>\n            \n        </div>\n    </ngb-card>\n</div>\n<!-- #end card images left right-->\n\n<br>\n<!-- card background color-->\n<div class=\"row\">\n    <ngb-card>\n        <div class=\"card-body\">\n            <h5 class=\"card-title\">Background color</h5>\n            <div class=\"row g-2\">\n                <div class=\"col-4\">\n                    <ngb-card [clss]=\"['text-white', 'bg-primary', 'mb-3']\">\n                        <div class=\"card-header\">Header</div>\n                        <div class=\"card-body\">\n                            <h5 class=\"card-title\">Primary card title</h5>\n                            <p class=\"card-text\">Some quick example text to build on the card title and make up the bulk\n                                of the card's content.</p>\n                        </div>\n                    </ngb-card>\n                </div>\n                <div class=\"col-4\">\n                    <ngb-card [clss]=\"['text-white', 'bg-secondary', 'mb-3']\">\n                        <div class=\"card-header\">Header</div>\n                        <div class=\"card-body\">\n                            <h5 class=\"card-title\">Secondary card title</h5>\n                            <p class=\"card-text\">Some quick example text to build on the card title and make up the bulk\n                                of the card's content.</p>\n                        </div>\n                    </ngb-card>\n                </div>\n                <div class=\"col-4\">\n                    <ngb-card [clss]=\"['text-white', 'bg-success', 'mb-3']\">\n                        <div class=\"card-header\">Header</div>\n                        <div class=\"card-body\">\n                            <h5 class=\"card-title\">Success card title</h5>\n                            <p class=\"card-text\">Some quick example text to build on the card title and make up the bulk\n                                of the card's content.</p>\n                        </div>\n                    </ngb-card>\n                </div>\n            </div>\n            <div class=\"row g-2\">\n                <div class=\"col-4\">\n                    <ngb-card [clss]=\"['text-white', 'bg-danger', 'mb-3']\">\n                        <div class=\"card-header\">Header</div>\n                        <div class=\"card-body\">\n                            <h5 class=\"card-title\">Danger card title</h5>\n                            <p class=\"card-text\">Some quick example text to build on the card title and make up the bulk\n                                of the card's content.</p>\n                        </div>\n                    </ngb-card>\n                </div>\n                <div class=\"col-4\">\n                    <ngb-card [clss]=\"['text-dark', 'bg-warning', 'mb-3']\">\n                        <div class=\"card-header\">Header</div>\n                        <div class=\"card-body\">\n                            <h5 class=\"card-title\">Warning card title</h5>\n                            <p class=\"card-text\">Some quick example text to build on the card title and make up the bulk\n                                of the card's content.</p>\n                        </div>\n                    </ngb-card>\n                </div>\n                <div class=\"col-4\">\n                    <ngb-card [clss]=\"['text-dark', 'bg-info', 'mb-3']\">\n                        <div class=\"card-header\">Header</div>\n                        <div class=\"card-body\">\n                            <h5 class=\"card-title\">Info card title</h5>\n                            <p class=\"card-text\">Some quick example text to build on the card title and make up the bulk\n                                of the card's content.</p>\n                        </div>\n                    </ngb-card>\n                </div>\n            </div>\n        </div>\n        <div class=\"card-footer\">\n            <code>\n                &lt;ngb-card <span class=\"ngb-dcmt-drtv\">[clss]</span>=\"['text-white', 'bg-primary', 'mb-3']\"&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-header\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Header</span>&lt;/div&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-body\"</span>&gt;<br>\n                &lt;h5 <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-title\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Primary card title</span>&lt;/h5&gt;<br>\n                &lt;p <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-text\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Some quick example text to build on the card title and make up the bulkof the cards content.</span>&lt;/p&gt;<br>\n                &lt;/div&gt;<br>\n                &lt;/ngb-card&gt;\n            <br>\n        </code>\n            <hr>\n            <code>\n                &lt;ngb-card <span class=\"ngb-dcmt-drtv\">[clss]</span>=\"['text-white', 'bg-secondary', 'mb-3']\"&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-header\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Header</span>&lt;/div&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-body\"</span>&gt;<br>\n                &lt;h5 <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-title\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Secondary card title</span>&lt;/h5&gt;<br>\n                &lt;p <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-text\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Some quick example text to build on the card title and make up the bulkof the cards content.</span>&lt;/p&gt;<br>\n                &lt;/div&gt;<br>\n                &lt;/ngb-card&gt;              \n            <br>\n        </code>\n            <hr>\n            <code>\n                &lt;ngb-card <span class=\"ngb-dcmt-drtv\">[clss]</span>=\"['text-white', 'bg-success', 'mb-3']\"&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-header\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Header</span>&lt;/div&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-body\"</span>&gt;<br>\n                &lt;h5 <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-title\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Success card title</span>&lt;/h5&gt;<br>\n                &lt;p <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-text\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Some quick example text to build on the card title and make up the bulkof the cards content.</span>&lt;/p&gt;<br>\n                &lt;/div&gt;<br>\n                &lt;/ngb-card&gt;\n            <br>\n        </code>\n            <hr>\n            <code>\n                &lt;ngb-card <span class=\"ngb-dcmt-drtv\">[clss]</span>=\"['text-white', 'bg-danger', 'mb-3']\"&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-header\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Header</span>&lt;/div&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-body\"</span>&gt;<br>\n                &lt;h5 <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-title\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Danger card title</span>&lt;/h5&gt;<br>\n                &lt;p <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-text\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Some quick example text to build on the card title and make up the bulkof the cards content.</span>&lt;/p&gt;<br>\n                &lt;/div&gt;<br>\n                &lt;/ngb-card&gt;           \n        <br>\n    </code>\n            <hr>\n            <code>\n                &lt;ngb-card <span class=\"ngb-dcmt-drtv\">[clss]</span>=\"['text-dark', 'bg-warning', 'mb-3']\"&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-header\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Header</span>&lt;/div&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-body\"</span>&gt;<br>\n                &lt;h5 <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-title\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Warning card title</span>&lt;/h5&gt;<br>\n                &lt;p <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-text\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Some quick example text to build on the card title and make up the bulkof the cards content.</span>&lt;/p&gt;<br>\n                &lt;/div&gt;<br>\n                &lt;/ngb-card&gt;       \n    <br>\n</code>\n            <hr>\n            <code>\n                &lt;ngb-card <span class=\"ngb-dcmt-drtv\">[clss]</span>=\"['text-dark', 'bg-info', 'mb-3']\"&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-header\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Header</span>&lt;/div&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-body\"</span>&gt;<br>\n                &lt;h5 <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-title\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Info card title</span>&lt;/h5&gt;<br>\n                &lt;p <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-text\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Some quick example text to build on the card title and make up the bulkof the cards content.</span>&lt;/p&gt;<br>\n                &lt;/div&gt;<br>\n                &lt;/ngb-card&gt;\n<br>\n</code>\n        </div>\n    </ngb-card>\n</div>\n<!-- #end card backround color-->\n<br>\n<!-- card border color-->\n<div class=\"row\">\n    <ngb-card>\n        <div class=\"card-body\">\n            <h5 class=\"card-title\">Border color</h5>\n            <div class=\"row g-2\">\n                <div class=\"col-4\">\n                    <ngb-card [clss]=\"['text-dark', 'border-primary', 'mb-3']\">\n                        <div class=\"card-header\">Header</div>\n                        <div class=\"card-body text-primary\">\n                            <h5 class=\"card-title\">Primary card title</h5>\n                            <p class=\"card-text\">Some quick example text to build on the card title and make up the bulk\n                                of the card's content.</p>\n                        </div>\n                    </ngb-card>\n                </div>\n                <div class=\"col-4\">\n                    <ngb-card [clss]=\"['text-dark', 'border-secondary', 'mb-3']\">\n                        <div class=\"card-header\">Header</div>\n                        <div class=\"card-body text-secondary\">\n                            <h5 class=\"card-title\">Secondary card title</h5>\n                            <p class=\"card-text\">Some quick example text to build on the card title and make up the bulk\n                                of the card's content.</p>\n                        </div>\n                    </ngb-card>\n                </div>\n                <div class=\"col-4\">\n                    <ngb-card [clss]=\"['text-dark', 'border-success', 'mb-3']\">\n                        <div class=\"card-header\">Header</div>\n                        <div class=\"card-body text-success\">\n                            <h5 class=\"card-title\">Success card title</h5>\n                            <p class=\"card-text\">Some quick example text to build on the card title and make up the bulk\n                                of the card's content.</p>\n                        </div>\n                    </ngb-card>\n                </div>\n            </div>\n            <div class=\"row g-2\">\n                <div class=\"col-4\">\n                    <ngb-card [clss]=\"['text-dark', 'border-danger', 'mb-3']\">\n                        <div class=\"card-header\">Header</div>\n                        <div class=\"card-body text-danger\">\n                            <h5 class=\"card-title\">Danger card title</h5>\n                            <p class=\"card-text\">Some quick example text to build on the card title and make up the bulk\n                                of the card's content.</p>\n                        </div>\n                    </ngb-card>\n                </div>\n                <div class=\"col-4\">\n                    <ngb-card [clss]=\"['text-dark', 'border-warning', 'mb-3']\">\n                        <div class=\"card-header\">Header</div>\n                        <div class=\"card-body text-warning\">\n                            <h5 class=\"card-title\">Warning card title</h5>\n                            <p class=\"card-text\">Some quick example text to build on the card title and make up the bulk\n                                of the card's content.</p>\n                        </div>\n                    </ngb-card>\n                </div>\n                <div class=\"col-4\">\n                    <ngb-card [clss]=\"['text-dark', 'border-info', 'mb-3']\">\n                        <div class=\"card-header\">Header</div>\n                        <div class=\"card-body text-info\">\n                            <h5 class=\"card-title\">Info card title</h5>\n                            <p class=\"card-text\">Some quick example text to build on the card title and make up the bulk\n                                of the card's content.</p>\n                        </div>\n                    </ngb-card>\n                </div>\n            </div>\n        </div>\n        <div class=\"card-footer\">\n            <code>\n                &lt;ngb-card <span class=\"ngb-dcmt-drtv\">[clss]</span>=\"['text-dark', 'border-primary', 'mb-3']\"&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-header\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Header</span>&lt;/div&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-body text-primary\"</span>&gt;<br>\n                &lt;h5 <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-title\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Primary card title</span>&lt;/h5&gt;<br>\n                &lt;p <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-text\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Some quick example text to build on the card title and make up the bulkof the cards content.</span>&lt;/p&gt;<br>\n                &lt;/div&gt;<br>\n                &lt;/ngb-card&gt;\n            <br>\n        </code>\n            <hr>\n            <code>\n                &lt;ngb-card <span class=\"ngb-dcmt-drtv\">[clss]</span>=\"['text-dark', 'border-secondary', 'mb-3']\"&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-header\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Header</span>&lt;/div&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-body text-secondary\"</span>&gt;<br>\n                &lt;h5 <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-title\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Primary card title</span>&lt;/h5&gt;<br>\n                &lt;p <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-text\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Some quick example text to build on the card title and make up the bulkof the cards content.</span>&lt;/p&gt;<br>\n                &lt;/div&gt;<br>\n                &lt;/ngb-card&gt;\n            <br>\n        </code>\n            <hr>\n            <code>\n                &lt;ngb-card <span class=\"ngb-dcmt-drtv\">[clss]</span>=\"['text-dark', 'border-success', 'mb-3']\"&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-header\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Header</span>&lt;/div&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-body text-success\"</span>&gt;<br>\n                &lt;h5 <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-title\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Primary card title</span>&lt;/h5&gt;<br>\n                &lt;p <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-text\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Some quick example text to build on the card title and make up the bulkof the cards content.</span>&lt;/p&gt;<br>\n                &lt;/div&gt;<br>\n                &lt;/ngb-card&gt;                \n\n            <br>\n        </code>\n            <hr>\n            <code>\n                &lt;ngb-card <span class=\"ngb-dcmt-drtv\">[clss]</span>=\"['text-dark', 'border-danger', 'mb-3']\"&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-header\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Header</span>&lt;/div&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-body text-danger\"</span>&gt;<br>\n                &lt;h5 <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-title\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Primary card title</span>&lt;/h5&gt;<br>\n                &lt;p <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-text\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Some quick example text to build on the card title and make up the bulkof the cards content.</span>&lt;/p&gt;<br>\n                &lt;/div&gt;<br>\n                &lt;/ngb-card&gt;\n \n        <br>\n    </code>\n            <hr>\n            <code>\n                &lt;ngb-card <span class=\"ngb-dcmt-drtv\">[clss]</span>=\"['text-dark', 'border-warning', 'mb-3']\"&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-header\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Header</span>&lt;/div&gt;<br>\n                &lt;div <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-body text-warning\"</span>&gt;<br>\n                &lt;h5 <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-title\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Primary card title</span>&lt;/h5&gt;<br>\n                &lt;p <span class=\"ngb-dcmt-drtv\">class</span>=<span class=\"ngb-dcmt-drtv-vlue\">\"card-text\"</span>&gt;<span class=\"ngb-dcmt-ttle\">Some quick example text to build on the card title and make up the bulkof the cards content.</span>&lt;/p&gt;<br>\n                &lt;/div&gt;<br>\n                &lt;/ngb-card&gt;\n    <br>\n</code>\n            <hr>\n            <code>\n\n<br>\n</code>\n        </div>\n    </ngb-card>\n</div>\n<!-- #end card border color-->", styles: ["\n \n  "], components: [{ type: CardComponent, selector: "ngb-card", inputs: ["clss"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.1.4", ngImport: i0, type: CardPageComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ngb-card-page',
                    templateUrl: './card.page.html',
                    styles: [`
 
  `]
                }]
        }], ctorParameters: function () { return []; } });

class AnglBstpUIComponent {
    constructor() { }
    ngOnInit() {
    }
}
AnglBstpUIComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.1.4", ngImport: i0, type: AnglBstpUIComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
AnglBstpUIComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.1.4", type: AnglBstpUIComponent, selector: "ngb-anglBstpUI", viewQueries: [{ propertyName: "div", first: true, predicate: ["modal"], descendants: true }], ngImport: i0, template: "<div class=\"row text-center\">\n    <h1 class=\"display-1\">anglBstpUI</h1>\n</div>\n\n<ngb-navbar-page></ngb-navbar-page>\n\n<br><br>\n\n<ngb-tab-page></ngb-tab-page>\n\n<br><br>\n\n<ngb-modal-page></ngb-modal-page>\n\n<br><br>\n\n<ngb-button-page></ngb-button-page>\n\n<br><br>\n\n<ngb-card-page></ngb-card-page>", styles: [".example-button{\n      margin-left:1rem;\n    }\n    .code-blue{\n      color: var(--bs-primary);\n    }\n    .code-gray{\n      color: var(--bs-gray);\n    }\n    .code-black{\n      color: var(--bs-dark);\n    }\n    .bg-light-gray{\n      --bs-bg-opacity: 1;\n      background-color: rgba(var(--bs-white-rgb), var(--bs-bg-opacity))!important\n    }\n    "], components: [{ type: NavbarPageComponent, selector: "ngb-navbar-page" }, { type: TabPageComponent, selector: "ngb-tab-page" }, { type: ModalPageComponent, selector: "ngb-modal-page" }, { type: ButtonPageComponent, selector: "ngb-button-page" }, { type: CardPageComponent, selector: "ngb-card-page" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.1.4", ngImport: i0, type: AnglBstpUIComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ngb-anglBstpUI',
                    templateUrl: './angl-bstp-ui.component.html',
                    styles: [
                        `.example-button{
      margin-left:1rem;
    }
    .code-blue{
      color: var(--bs-primary);
    }
    .code-gray{
      color: var(--bs-gray);
    }
    .code-black{
      color: var(--bs-dark);
    }
    .bg-light-gray{
      --bs-bg-opacity: 1;
      background-color: rgba(var(--bs-white-rgb), var(--bs-bg-opacity))!important
    }
    `
                    ]
                }]
        }], ctorParameters: function () { return []; }, propDecorators: { div: [{
                type: ViewChild,
                args: ['modal']
            }] } });

class CollapseComponent {
    constructor() {
        this.estd = 'hide';
        this.stt = false;
    }
    ngOnInit() {
    }
    clpsTgle() {
        this.estd = this.estd === 'show' ? 'hide' : 'show';
    }
}
CollapseComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.1.4", ngImport: i0, type: CollapseComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
CollapseComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.1.4", type: CollapseComponent, selector: "ngb-collapse", ngImport: i0, template: "<div [@state]=\"estd\" style=\"overflow: hidden;\">\n   <ng-content></ng-content>\n</div>", styles: [".collapse:not(.show){display:none}.collapsing{height:0;overflow:hidden;transition:height .35s ease}@media (prefers-reduced-motion:reduce){.collapsing{transition:none}}.collapsing.collapse-horizontal{width:0;height:auto;transition:width .35s ease}@media (prefers-reduced-motion:reduce){.collapsing.collapse-horizontal{transition:none}}\n"], animations: [
        trigger('state', [
            state('hide', style({
                maxHeight: '0px',
            })),
            state('show', style({
                maxHeight: '150px',
            })),
            transition('show => hide', animate('0.35s 100ms ease-out')),
            transition('hide => show', animate('0.35s 100ms ease-in'))
        ])
    ] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.1.4", ngImport: i0, type: CollapseComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ngb-collapse',
                    templateUrl: './collapse.component.html',
                    styleUrls: ['./collapse.component.css'],
                    animations: [
                        trigger('state', [
                            state('hide', style({
                                maxHeight: '0px',
                            })),
                            state('show', style({
                                maxHeight: '150px',
                            })),
                            transition('show => hide', animate('0.35s 100ms ease-out')),
                            transition('hide => show', animate('0.35s 100ms ease-in'))
                        ])
                    ]
                }]
        }], ctorParameters: function () { return []; } });

//endregion Pages
class AnglBstpUIModule {
}
AnglBstpUIModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.1.4", ngImport: i0, type: AnglBstpUIModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
AnglBstpUIModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.1.4", ngImport: i0, type: AnglBstpUIModule, declarations: [AnglBstpUIComponent,
        ButtonComponent,
        ModalComponent,
        CardComponent,
        CardPageComponent,
        ButtonPageComponent,
        ModalPageComponent,
        TabComponent,
        TabPageComponent,
        TabPanelComponent,
        NavbarComponent,
        NavbarPageComponent,
        CollapseComponent], imports: [CommonModule,
        BrowserAnimationsModule], exports: [AnglBstpUIComponent,
        ButtonComponent,
        ModalComponent,
        CardComponent,
        TabComponent,
        TabPanelComponent,
        NavbarComponent] });
AnglBstpUIModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.1.4", ngImport: i0, type: AnglBstpUIModule, imports: [[
            CommonModule,
            BrowserAnimationsModule,
        ]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.1.4", ngImport: i0, type: AnglBstpUIModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        AnglBstpUIComponent,
                        ButtonComponent,
                        ModalComponent,
                        CardComponent,
                        CardPageComponent,
                        ButtonPageComponent,
                        ModalPageComponent,
                        TabComponent,
                        TabPageComponent,
                        TabPanelComponent,
                        NavbarComponent,
                        NavbarPageComponent,
                        CollapseComponent
                    ],
                    imports: [
                        CommonModule,
                        BrowserAnimationsModule,
                    ],
                    exports: [
                        AnglBstpUIComponent,
                        ButtonComponent,
                        ModalComponent,
                        CardComponent,
                        TabComponent,
                        TabPanelComponent,
                        NavbarComponent
                    ]
                }]
        }] });

/*
 * Public API Surface of angl-bstp-ui
 */

/**
 * Generated bundle index. Do not edit.
 */

export { AnglBstpUIComponent, AnglBstpUIModule, AnglBstpUIService, ButtonComponent, CardComponent, ModalComponent, NavbarComponent, TabComponent, TabPanelComponent };
//# sourceMappingURL=angl-bstp-ui.js.map
